/*
** Constants for a two plane boing(tm) ball and
** a one plane satellite.
*/

#define BNG3RINGY		0
#define BNG3RINGX		0
#define BNG3COUNT               6
#define BNG3HEIGHT              25
#define BNG3WIDTH		29
#define BNG3DEPTH               2
#define BNG3WWIDTH		((BNG3WIDTH + 15) / 16)

#define SATCOUNT		16
#define SATHEIGHT               5
#define SATWIDTH		5
#define SATDEPTH                1
#define SATWWIDTH		((SATWIDTH + 15) / 16)

SHORT boing3Times[BNG3COUNT]    = { 1, 1, 1, 1, 1, 1 };
SHORT boing3YTranses[BNG3COUNT] = { 0, 0, 0, 0, 0, 0 };
SHORT boing3XTranses[BNG3COUNT] = { 0, 0, 0, 0, 0, 0 };

/* APTR boing3CRoutines[BNG3COUNT] */
WORD (*boing3CRoutines[BNG3COUNT])(struct AnimComp *) =
	{
	NULL, NULL, NULL, NULL, NULL, NULL
        };

#ifdef __STORM__
    #pragma chip
    #define chip
#endif

/*-----------------------------------------------------------------*/
/*----- bitmap : w = 5, h = 5 ------ */
UWORD chip satImage[1][SATWWIDTH * SATHEIGHT * SATDEPTH] =
{   0x7000, // .###....
    0xF800, // #####...
    0xF800, // #####...
    0xF800, // #####...
    0x7000  // .###....
};

UWORD chip boing3Image[BNG3COUNT][BNG3WWIDTH * BNG3HEIGHT * BNG3DEPTH] =
{   /*----- bitmap Boing-A w = 32, h = 25 ------ */
    {   /*------ plane # 0: --------*/
		0x0023,   0x0000,
		0x004E,   0x3000,
		0x00E3,   0x3A00,
		0x03C3,   0xC900,
		0x0787,   0x8780,
		0x108F,   0x8700,
		0x31F7,   0x8790,
		0x61F0,   0x4790,
		0x63E0,   0xFB90,
		0x43E0,   0xF848,
		0x3BC0,   0xF870,
		0x3801,   0xF870,
		0x383D,   0xF070,
		0x387E,   0x1070,
		0x387C,   0x0EE0,
		0xD87C,   0x1F10,
		0x467C,   0x1E10,
		0x479C,   0x1E30,
		0x6787,   0x3E20,
		0x0787,   0xCC60,
		0x0F0F,   0x8700,
		0x048F,   0x0E00,
		0x0277,   0x1C00,
		0x0161,   0xD800,
		0x0027,   0x2000,
                // ------ plane # 1: --------
                0x003F,   0xE000,
                0x01FF,   0xFC00,
                0x07FF,   0xFF00,
                0x0FFF,   0xFF80,
                0x1FFF,   0xFFC0,
                0x3FFF,   0xFFE0,
                0x7FFF,   0xFFF0,
                0x7FFF,   0xFFF0,
                0x7FFF,   0xFFF0,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0x7FFF,   0xFFF0,
                0x7FFF,   0xFFF0,
                0x7FFF,   0xFFE0,
                0x3FFF,   0xFFE0,
                0x1FFF,   0xFFC0,
                0x0FFF,   0xFF80,
                0x07FF,   0xFE00,
                0x01FF,   0xFC00,
                0x003F,   0xE000
		},
	/*----- bitmap Boing-B w = 32, h = 25 ------ */
		{
		/*------ plane # 0: --------*/
		0x0031,   0x8000,
		0x0107,   0x1800,
		0x00F0,   0x1900,
		0x09E1,   0xEC80,
		0x13C1,   0xE340,
		0x1803,   0xE380,
		0x387B,   0xC390,
		0x30F8,   0x01D0,
		0x70F8,   0x3DC0,
		0xE1F0,   0x3E08,
		0x9DF0,   0x7C30,
		0x9E30,   0x7C30,
		0x9E1C,   0x7C30,
		0x1C1F,   0x9C30,
		0x1C1F,   0x0630,
		0x7C1F,   0x0780,
		0x623F,   0x0798,
		0x63DE,   0x0F10,
		0x23C1,   0x0F20,
		0x33C3,   0xEE20,
		0x0BC3,   0xC380,
		0x0647,   0xC700,
		0x023F,   0x8E00,
		0x0130,   0xF800,
		0x0033,   0x8000,
                // ------ plane # 1: --------
                0x003F,   0xE000,
                0x01FF,   0xFC00,
                0x07FF,   0xFF00,
                0x0FFF,   0xFF80,
                0x1FFF,   0xFFC0,
                0x3FFF,   0xFFE0,
                0x7FFF,   0xFFF0,
                0x7FFF,   0xFFF0,
                0x7FFF,   0xFFF0,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0x7FFF,   0xFFF0,
                0x7FFF,   0xFFF0,
                0x7FFF,   0xFFE0,
                0x3FFF,   0xFFE0,
                0x1FFF,   0xFFC0,
                0x0FFF,   0xFF80,
                0x07FF,   0xFE00,
                0x01FF,   0xFC00,
                0x003F,   0xE000
		},
	/*----- bitmap Boing-C w = 32, h = 25 ------ */
		{
		/*------ plane # 0: --------*/
		0x0019,   0xC000,
		0x0103,   0x8800,
		0x0278,   0x8D00,
		0x0CF0,   0xFE80,
		0x11F0,   0xF140,
		0x0E60,   0xF1E0,
		0x1C39,   0xF0C0,
		0x1C3E,   0x30C0,
		0x387E,   0x0CE0,
		0xF87C,   0x1F28,
		0x8C7C,   0x1F18,
		0x8F3C,   0x1F18,
		0x8F06,   0x1E18,
		0x8F07,   0xDE18,
		0x8F07,   0xC018,
		0x6E0F,   0xC1C0,
		0x300F,   0x83C8,
		0x31EF,   0x8390,
		0x31F0,   0x8780,
		0x11E0,   0xF720,
		0x11E1,   0xF1C0,
		0x0B61,   0xE300,
		0x071B,   0xC600,
		0x0138,   0x6C00,
		0x0031,   0x8000,
                //------ plane # 1: --------
                0x003F,   0xE000,
                0x01FF,   0xFC00,
                0x07FF,   0xFF00,
                0x0FFF,   0xFF80,
                0x1FFF,   0xFFC0,
                0x3FFF,   0xFFE0,
                0x7FFF,   0xFFF0,
                0x7FFF,   0xFFF0,
                0x7FFF,   0xFFF0,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0x7FFF,   0xFFF0,
                0x7FFF,   0xFFF0,
                0x7FFF,   0xFFE0,
                0x3FFF,   0xFFE0,
                0x1FFF,   0xFFC0,
                0x0FFF,   0xFF80,
                0x07FF,   0xFE00,
                0x01FF,   0xFC00,
                0x003F,   0xE000
		},
	/*----- bitmap : w = 32, h = 25 ------ */
		{
                /*------ plane Boing-D 0: --------*/
		0x001C,   0xE000,
		0x01B1,   0xCC00,
		0x031C,   0xC500,
		0x0C3C,   0x3680,
		0x1878,   0x7840,
		0x2F70,   0x78E0,
		0x0E08,   0x7860,
		0x1E0F,   0xB860,
		0x1C1F,   0x0460,
		0xBC1F,   0x07B0,
		0xC43F,   0x0788,
		0xC7FE,   0x0788,
		0xC7C0,   0x0F88,
		0xC781,   0xEF88,
		0xC783,   0xF118,
		0x2783,   0xE0E8,
		0x3983,   0xE1E0,
		0x3863,   0xE1C0,
		0x1878,   0xC1C0,
		0x3878,   0x3380,
		0x10F0,   0x78C0,
		0x0B70,   0xF180,
		0x0588,   0xE200,
		0x009E,   0x2400,
		0x0018,   0xC000,
                //------ plane # 1: --------
                0x003F,   0xE000,
                0x01FF,   0xFC00,
                0x07FF,   0xFF00,
                0x0FFF,   0xFF80,
                0x1FFF,   0xFFC0,
                0x3FFF,   0xFFE0,
                0x7FFF,   0xFFF0,
                0x7FFF,   0xFFF0,
                0x7FFF,   0xFFF0,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0x7FFF,   0xFFF0,
                0x7FFF,   0xFFF0,
                0x7FFF,   0xFFE0,
                0x3FFF,   0xFFE0,
                0x1FFF,   0xFFC0,
                0x0FFF,   0xFF80,
                0x07FF,   0xFE00,
                0x01FF,   0xFC00,
                0x003F,   0xE000
                },
	/*----- bitmap : w = 32, h = 25 ------ */
		{
		/*------ plane Boing-E 0: --------*/
		0x000E,   0x6000,
		0x00F8,   0xE400,
		0x030F,   0xE600,
		0x061E,   0x1300,
		0x0C3E,   0x1C80,
		0x27FC,   0x1C60,
		0x0784,   0x3C60,
		0x4F07,   0xFE20,
		0x8F07,   0xC230,
		0x1E0F,   0xC1F0,
		0x620F,   0x83C8,
		0x61CF,   0x83C8,
		0x61E1,   0x83C8,
		0x63E0,   0x63C8,
		0x63E0,   0xF9C8,
		0x03E0,   0xF878,
		0x1DC0,   0xF860,
		0x1C21,   0xF0E0,
		0x5C3E,   0xF0C0,
		0x0C3C,   0x11C0,
		0x143C,   0x3C40,
		0x09B8,   0x3880,
		0x05C0,   0x7000,
		0x00CF,   0x0400,
		0x000C,   0x6000,
                //------ plane # 1: --------
                0x003F,   0xE000,
                0x01FF,   0xFC00,
                0x07FF,   0xFF00,
                0x0FFF,   0xFF80,
                0x1FFF,   0xFFC0,
                0x3FFF,   0xFFE0,
                0x7FFF,   0xFFF0,
                0x7FFF,   0xFFF0,
                0x7FFF,   0xFFF0,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0x7FFF,   0xFFF0,
                0x7FFF,   0xFFF0,
                0x7FFF,   0xFFE0,
                0x3FFF,   0xFFE0,
                0x1FFF,   0xFFC0,
                0x0FFF,   0xFF80,
                0x07FF,   0xFE00,
                0x01FF,   0xFC00,
                0x003F,   0xE000
		},
	/*----- bitmap : w = 32, h = 25 ------ */
		{
                /*------ plane Boing-F 0: --------*/
		0x0026,   0x2000,
		0x00FC,   0x7400,
		0x0187,   0x7200,
		0x030F,   0x0100,
		0x0E0F,   0x0E80,
		0x319F,   0x0E00,
		0x23C6,   0x0F30,
		0x63C1,   0xCF30,
		0x4781,   0xF310,
		0x0783,   0xE0D0,
		0x7383,   0xE0E0,
		0x70C3,   0xE0E0,
		0x70F9,   0xE1E0,
		0x70F8,   0x21E0,
		0x70F8,   0x3FE0,
		0x91F0,   0x3E38,
		0x4FF0,   0x7C30,
		0x4E10,   0x7C60,
		0x4E0F,   0x7860,
		0x2E1F,   0x08C0,
		0x0E1E,   0x0E00,
		0x049E,   0x1C80,
		0x00E4,   0x3800,
		0x00C7,   0x9000,
		0x000E,   0x6000,
                //------ plane # 1: --------
                0x003F,   0xE000,
                0x01FF,   0xFC00,
                0x07FF,   0xFF00,
                0x0FFF,   0xFF80,
                0x1FFF,   0xFFC0,
                0x3FFF,   0xFFE0,
                0x7FFF,   0xFFF0,
                0x7FFF,   0xFFF0,
                0x7FFF,   0xFFF0,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0xFFFF,   0xFFF8,
                0x7FFF,   0xFFF0,
                0x7FFF,   0xFFF0,
                0x7FFF,   0xFFE0,
                0x3FFF,   0xFFE0,
                0x1FFF,   0xFFC0,
                0x0FFF,   0xFF80,
                0x07FF,   0xFE00,
                0x01FF,   0xFC00,
                0x003F,   0xE000
                }
	};

#ifdef __STORM__
    #pragma fast
#endif

/*
** Orbit  goes from far top -> mid l  -> near bot -> mid right
*/

/*-----------------------------------------------------------------*/
SHORT satTimes[SATCOUNT] =
	{
	1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1
	};

/* APTR satACRoutines[SATCOUNT] */
WORD (*satACRoutines[SATCOUNT])(struct AnimComp *) =
	{
	NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
	NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL
	};

SHORT satAYTranses[SATCOUNT] =
	{
	( 18<<BNFS)+((BNG3HEIGHT/2)<<ANFS),( 17<<BNFS)+((BNG3HEIGHT/2)<<ANFS),
	( 15<<BNFS)+((BNG3HEIGHT/2)<<ANFS),( 11<<BNFS)+((BNG3HEIGHT/2)<<ANFS),
	(  0<<BNFS)+((BNG3HEIGHT/2)<<ANFS),(-11<<BNFS)+((BNG3HEIGHT/2)<<ANFS),
	(-15<<BNFS)+((BNG3HEIGHT/2)<<ANFS),(-17<<BNFS)+((BNG3HEIGHT/2)<<ANFS),
	(-18<<BNFS)+((BNG3HEIGHT/2)<<ANFS),(-17<<BNFS)+((BNG3HEIGHT/2)<<ANFS),
	(-15<<BNFS)+((BNG3HEIGHT/2)<<ANFS),(-11<<BNFS)+((BNG3HEIGHT/2)<<ANFS),
	(  0<<BNFS)+((BNG3HEIGHT/2)<<ANFS),( 11<<BNFS)+((BNG3HEIGHT/2)<<ANFS),
	( 15<<BNFS)+((BNG3HEIGHT/2)<<ANFS),( 17<<BNFS)+((BNG3HEIGHT/2)<<ANFS)
	};

SHORT satAXTranses[SATCOUNT] =
	{
	(  0<<BNFS)+((BNG3WIDTH/2)<<ANFS),( 22<<BNFS)+((BNG3WIDTH/2)<<ANFS),
	( 45<<BNFS)+((BNG3WIDTH/2)<<ANFS),( 66<<BNFS)+((BNG3WIDTH/2)<<ANFS),
	( 80<<BNFS)+((BNG3WIDTH/2)<<ANFS),( 66<<BNFS)+((BNG3WIDTH/2)<<ANFS),
	( 45<<BNFS)+((BNG3WIDTH/2)<<ANFS),( 22<<BNFS)+((BNG3WIDTH/2)<<ANFS),
	(  0<<BNFS)+((BNG3WIDTH/2)<<ANFS),(-22<<BNFS)+((BNG3WIDTH/2)<<ANFS),
	(-45<<BNFS)+((BNG3WIDTH/2)<<ANFS),(-66<<BNFS)+((BNG3WIDTH/2)<<ANFS),
	(-80<<BNFS)+((BNG3WIDTH/2)<<ANFS),(-66<<BNFS)+((BNG3WIDTH/2)<<ANFS),
	(-45<<BNFS)+((BNG3WIDTH/2)<<ANFS),(-22<<BNFS)+((BNG3WIDTH/2)<<ANFS)
	};

/* APTR satBCRoutines[SATCOUNT] */
WORD (*satBCRoutines[SATCOUNT])(struct AnimComp *) =
	{
	NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
	NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL
	};

/*----- bitmap : w = 5, h = 5 ------ */
SHORT satBYTranses[SATCOUNT] =
	{
	(-57<<BNFS)+((BNG3HEIGHT/2)<<ANFS),(-40<<BNFS)+((BNG3HEIGHT/2)<<ANFS),
	(-23<<BNFS)+((BNG3HEIGHT/2)<<ANFS),( -6<<BNFS)+((BNG3HEIGHT/2)<<ANFS),
	( 13<<BNFS)+((BNG3HEIGHT/2)<<ANFS),( 27<<BNFS)+((BNG3HEIGHT/2)<<ANFS),
	( 41<<BNFS)+((BNG3HEIGHT/2)<<ANFS),( 53<<BNFS)+((BNG3HEIGHT/2)<<ANFS),
	( 57<<BNFS)+((BNG3HEIGHT/2)<<ANFS),( 40<<BNFS)+((BNG3HEIGHT/2)<<ANFS),
	( 22<<BNFS)+((BNG3HEIGHT/2)<<ANFS),(  4<<BNFS)+((BNG3HEIGHT/2)<<ANFS),
	(-13<<BNFS)+((BNG3HEIGHT/2)<<ANFS),(-28<<BNFS)+((BNG3HEIGHT/2)<<ANFS),
	(-43<<BNFS)+((BNG3HEIGHT/2)<<ANFS),(-55<<BNFS)+((BNG3HEIGHT/2)<<ANFS)
	};

SHORT satBXTranses[SATCOUNT] =
	{
	(-57<<BNFS)+((BNG3WIDTH/2)<<ANFS),(-53<<BNFS)+((BNG3WIDTH/2)<<ANFS),
	(-41<<BNFS)+((BNG3WIDTH/2)<<ANFS),(-27<<BNFS)+((BNG3WIDTH/2)<<ANFS),
	(-13<<BNFS)+((BNG3WIDTH/2)<<ANFS),(  6<<BNFS)+((BNG3WIDTH/2)<<ANFS),
	( 23<<BNFS)+((BNG3WIDTH/2)<<ANFS),( 40<<BNFS)+((BNG3WIDTH/2)<<ANFS),
	( 57<<BNFS)+((BNG3WIDTH/2)<<ANFS),( 55<<BNFS)+((BNG3WIDTH/2)<<ANFS),
	( 43<<BNFS)+((BNG3WIDTH/2)<<ANFS),( 28<<BNFS)+((BNG3WIDTH/2)<<ANFS),
	( 13<<BNFS)+((BNG3WIDTH/2)<<ANFS),( -4<<BNFS)+((BNG3WIDTH/2)<<ANFS),
	(-22<<BNFS)+((BNG3WIDTH/2)<<ANFS),(-40<<BNFS)+((BNG3WIDTH/2)<<ANFS)
	};

/* APTR satCCRoutines[SATCOUNT] */
WORD (*satCCRoutines[SATCOUNT])(struct AnimComp *) =
	{
	NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
	NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL
	};

/*----- bitmap : w = 5, h = 5 ------ */
SHORT satCYTranses[SATCOUNT] =
	{
	(-13<<BNFS)+((BNG3HEIGHT/2)<<ANFS),(  4<<BNFS)+((BNG3HEIGHT/2)<<ANFS),
	( 22<<BNFS)+((BNG3HEIGHT/2)<<ANFS),( 40<<BNFS)+((BNG3HEIGHT/2)<<ANFS),
	( 57<<BNFS)+((BNG3HEIGHT/2)<<ANFS),( 53<<BNFS)+((BNG3HEIGHT/2)<<ANFS),
	( 41<<BNFS)+((BNG3HEIGHT/2)<<ANFS),( 27<<BNFS)+((BNG3HEIGHT/2)<<ANFS),
	( 13<<BNFS)+((BNG3HEIGHT/2)<<ANFS),( -6<<BNFS)+((BNG3HEIGHT/2)<<ANFS),
	(-23<<BNFS)+((BNG3HEIGHT/2)<<ANFS),(-40<<BNFS)+((BNG3HEIGHT/2)<<ANFS),
	(-57<<BNFS)+((BNG3HEIGHT/2)<<ANFS),(-55<<BNFS)+((BNG3HEIGHT/2)<<ANFS),
	(-43<<BNFS)+((BNG3HEIGHT/2)<<ANFS),(-28<<BNFS)+((BNG3HEIGHT/2)<<ANFS)
	};

SHORT satCXTranses[SATCOUNT] =
	{
	(-13<<BNFS)+((BNG3WIDTH/2)<<ANFS),(-28<<BNFS)+((BNG3WIDTH/2)<<ANFS),
	(-43<<BNFS)+((BNG3WIDTH/2)<<ANFS),(-55<<BNFS)+((BNG3WIDTH/2)<<ANFS),
	(-57<<BNFS)+((BNG3WIDTH/2)<<ANFS),(-40<<BNFS)+((BNG3WIDTH/2)<<ANFS),
	(-23<<BNFS)+((BNG3WIDTH/2)<<ANFS),( -6<<BNFS)+((BNG3WIDTH/2)<<ANFS),
	( 13<<BNFS)+((BNG3WIDTH/2)<<ANFS),( 27<<BNFS)+((BNG3WIDTH/2)<<ANFS),
	( 41<<BNFS)+((BNG3WIDTH/2)<<ANFS),( 53<<BNFS)+((BNG3WIDTH/2)<<ANFS),
	( 57<<BNFS)+((BNG3WIDTH/2)<<ANFS),( 40<<BNFS)+((BNG3WIDTH/2)<<ANFS),
	( 22<<BNFS)+((BNG3WIDTH/2)<<ANFS),(  4<<BNFS)+((BNG3WIDTH/2)<<ANFS)
	};

// About bitmap has 2 blank lines around it in every direction.
MODULE UWORD chip AboutData[798] =
{ // Plane 0
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x1100,0x3800,0x0000,
  0x1260,0x3800,0x0000,
  0x0A80,0x7800,0x0000,
  0x2700,0x7800,0x0000,
  0x1FC0,0x0000,0x0000,
  0x0720,0x0000,0x0000,
  0x0A80,0x0000,0x0000,
  0x3240,0x0000,0x0000,
  0x0443,0xC000,0x0400,
  0x0003,0xC000,0x2400,
  0x0007,0x8000,0x1000,
  0x0007,0x8000,0x0400,
  0x0000,0x003E,0x0E00,
  0x0000,0x0000,0x0400,
  0x0000,0x0000,0x1100,
  0x0000,0x0000,0x2080,
  0x0A3C,0x0000,0x0000,
  0x0F3C,0x0000,0x0000,
  0x07F8,0x0000,0x0000,
  0x02F8,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0E3B,0x91E3,0x8880,
  0x1124,0x9224,0x4C80,
  0x1124,0x9204,0x4C80,
  0x1F24,0x9207,0xCA80,
  0x1124,0x9264,0x4980,
  0x1124,0x9224,0x4980,
  0x1120,0x91E4,0x4880,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  /* Plane 1 */
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x3800,0x0000,
  0x0000,0x3800,0x0000,
  0x0000,0x7800,0x0000,
  0x0000,0x7800,0x0000,
  0x0000,0xF000,0x0000,
  0x0000,0xF000,0x0000,
  0x0001,0xE000,0x0000,
  0x0001,0xE000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x003F,0xF0C0,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0100,
  0x0000,0x0000,0x0080,
  0x003C,0x0000,0x0000,
  0x003C,0x0000,0x0000,
  0x0078,0x0000,0x0000,
  0x0578,0x0000,0x0000,
  0x03F0,0x0000,0x0000,
  0x03F0,0x0000,0x0000,
  0x01E0,0x0000,0x0000,
  0x01E0,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  /* Plane 2 */
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x3800,0x0000,
  0x0000,0x3800,0x0000,
  0x0000,0x7C00,0x0000,
  0x0000,0x7C00,0x0000,
  0x0000,0xFE00,0x0000,
  0x0000,0xFE00,0x0000,
  0x0001,0xEF00,0x0000,
  0x0001,0xEF00,0x0000,
  0x0003,0xC780,0x0000,
  0x0003,0xC780,0x2080,
  0x0007,0x83C0,0x1100,
  0x0007,0x83C0,0x0000,
  0x3C0F,0xFFC0,0x00C0,
  0x3C0F,0xFFE0,0x0000,
  0x001F,0xE0F0,0x0000,
  0x001F,0xF0F0,0x0000,
  0x0000,0x7C78,0x0000,
  0x0000,0x1E78,0x0000,
  0x0000,0x07BC,0x0000,
  0x0000,0x03FC,0x0000,
  0x0000,0x00FE,0x0000,
  0x0000,0x007E,0x0000,
  0x0000,0x001F,0x0000,
  0x0000,0x000F,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  /* Plane 3 */
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x3800,0x0000,
  0x0000,0x3800,0x0000,
  0x0000,0x7800,0x0000,
  0x0000,0x7800,0x0000,
  0x0000,0xF000,0x0000,
  0x0000,0xF000,0x0000,
  0x0001,0xE000,0x0000,
  0x0001,0xE000,0x0000,
  0x0003,0xC000,0x0000,
  0x0003,0xC000,0x2080,
  0x0007,0x8000,0x1100,
  0x0007,0x8000,0x0000,
  0x3C0F,0x0000,0x00C0,
  0x3C0F,0x0000,0x0000,
  0x001E,0x0000,0x1100,
  0x001E,0x0000,0x2080,
  0x003C,0x0000,0x0000,
  0x003C,0x0000,0x0000,
  0x0078,0x0000,0x0000,
  0x0078,0x0000,0x0000,
  0x00F0,0x0000,0x0000,
  0x00F0,0x0000,0x0000,
  0x01E0,0x0000,0x0000,
  0x01E0,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  /* Plane 4 */
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0400,
  0x0000,0x0000,0x0400,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x3C00,0x0000,0x0000,
  0x3C00,0x0000,0x0000,
  0x1E00,0x0000,0x1000,
  0x1E00,0x0000,0x2400,
  0x0F00,0x0000,0x0400,
  0x0F00,0x0000,0x0000,
  0x0780,0x0000,0x0000,
  0x0780,0x0000,0x0000,
  0x0300,0x0000,0x0000,
  0x0300,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  /* Plane 5 */
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0400,
  0x0000,0x0000,0x0400,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x1E00,0x0000,0x1000,
  0x1E00,0x0000,0x2400,
  0x0F00,0x0000,0x0400,
  0x0F00,0x0000,0x0000,
  0x0780,0x0000,0x0000,
  0x0780,0x0000,0x0000,
  0x0300,0x0000,0x0000,
  0x0300,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  /* Plane 6 */
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x3800,0x0000,
  0x0000,0x3800,0x0000,
  0x0000,0x7800,0x0000,
  0x0000,0x7800,0x0000,
  0x0000,0xF000,0x0000,
  0x0000,0xF000,0x0000,
  0x0001,0xE000,0x0000,
  0x0001,0xE000,0x0000,
  0x0003,0xC000,0x0400,
  0x0003,0xC000,0x2480,
  0x0007,0x8000,0x1100,
  0x0007,0x8000,0x0000,
  0x3C0F,0x0000,0x00C0,
  0x3C0F,0x0000,0x0000,
  0x1E1E,0x0000,0x1100,
  0x1E1E,0x0000,0x2480,
  0x0F3C,0x0000,0x0400,
  0x0F3C,0x0000,0x0000,
  0x07F8,0x0000,0x0000,
  0x07F8,0x0000,0x0000,
  0x03F0,0x0000,0x0000,
  0x03F0,0x0000,0x0000,
  0x01E0,0x0000,0x0000,
  0x01E0,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000
};

MODULE UWORD chip LogoData[7252] =
{ /* Plane 0 */
  0x0000,0x0000,0x0000,0x0700,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x1FA0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x1EE0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x06F0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x37C0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0060,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0DA0,0x0000,0x0000,0x0000,0x0000,0x0000,0x00F0,0x1800,0x0000,0x0010,0x0000,
  0x0000,0x0000,0x0000,0x3CC7,0x0000,0x0000,0x0000,0x0000,0x0000,0x00F8,0x1F80,0x0000,0x07F8,0x0000,
  0x0000,0x0000,0x0000,0x74C7,0xC000,0x0000,0x1800,0x0000,0x0000,0x006C,0x1FB8,0x0001,0xFBE0,0x0000,
  0x0000,0x0000,0x0000,0xAFC7,0xF800,0x0001,0xE800,0x0000,0x0000,0x037E,0x0DEF,0x2D6B,0x5C84,0x0000,
  0x0000,0x0000,0x0000,0xCA86,0xF780,0x001B,0xDC00,0x0001,0x8C00,0x01B4,0x6F9F,0x1BB7,0x223C,0x0000,
  0x0000,0x0000,0x0002,0x199B,0xEF46,0xED40,0x0400,0x0039,0xABE0,0x073C,0x1A5C,0x254A,0xA1AE,0x0000,
  0x0000,0x0000,0x0278,0x1686,0xD709,0xD2A8,0x6000,0x009B,0xA0B0,0x1374,0x3DE9,0xFA38,0xFBFE,0x0000,
  0x0000,0x002D,0x5B15,0x9B1E,0xF4FD,0x1C7D,0xFE00,0x0089,0x20BE,0x1430,0x68A3,0xF5EC,0x0B08,0x0000,
  0x0000,0x1E36,0x8CA5,0x9815,0x345E,0xB589,0x6000,0x09B2,0x3168,0x99F0,0xA7C8,0x8F35,0x4500,0x0000,
  0x0000,0xCC45,0xB7BB,0x3C0A,0x7C80,0xFF50,0x5400,0x1C02,0x33C9,0xB8C0,0x36AB,0xE0A0,0x6100,0x0000,
  0x0000,0x0CCB,0x5BBC,0xD801,0xB55F,0x2513,0x0A00,0x24AC,0x3A6A,0xC3A0,0x010C,0xDE72,0xD600,0x0000,
  0x0007,0x9117,0x9054,0xA000,0x0866,0xF396,0xB000,0x7DD4,0xE17D,0xD4C0,0x005F,0x00DC,0x4A00,0x0000,
  0x000A,0x15A7,0x8285,0x6000,0x0BE0,0x1B89,0x5800,0x672F,0x8019,0xCBC0,0x003A,0xD727,0xDA00,0x0000,
  0x0005,0xED32,0x001B,0xC000,0x1D6B,0xD8AD,0xC001,0xA07C,0x001A,0x0780,0x000E,0x0C01,0x8000,0x0000,
  0x002C,0x4130,0x002C,0x4000,0x0E0F,0x01C1,0x8001,0x7024,0x003E,0x0400,0x0018,0x8003,0x5000,0x0000,
  0x0079,0x6110,0x001E,0x0000,0x0C40,0x0188,0x0001,0xB528,0x0009,0xA900,0x0006,0xCC00,0x6C00,0x0000,
  0x007E,0x9B20,0x001F,0x8000,0x0366,0x0036,0x0005,0x27A8,0x0008,0x4E00,0x000C,0x8C01,0x9100,0x0000,
  0x00EE,0x3780,0x001D,0xC000,0x0646,0x0064,0x0006,0xE240,0x000D,0xC400,0x0018,0x9403,0x5200,0x0000,
  0x00CE,0x8040,0x0019,0xC000,0x0C4A,0x00C4,0x0004,0xEEB0,0x0006,0xEE00,0x0012,0xB402,0x5600,0x0000,
  0x0089,0xAF40,0x0022,0x4000,0x095B,0x0095,0x0000,0xB3E0,0x0000,0x5800,0x0006,0x7400,0xCE00,0x0000,
  0x0007,0x2C20,0x0011,0x8000,0x0674,0x0033,0x8000,0x4A80,0x0000,0x2400,0x0039,0xFC70,0xF700,0x0000,
  0x0034,0x2020,0x000D,0x0000,0x0E7F,0x0073,0x8004,0xF200,0x0000,0x9C08,0x005C,0x9ABA,0xE480,0x0000,
  0x0070,0x9350,0x0038,0x0000,0x2E4D,0x10B9,0x000C,0x53C0,0x0003,0x1430,0x0057,0x62A9,0x5D80,0x0000,
  0x009A,0x7080,0x009A,0x0000,0x2BB1,0x28AE,0xC03B,0x2840,0x0007,0x64E8,0x0047,0xF2B7,0x7740,0x0000,
  0x0109,0x3F3F,0x2424,0x0000,0x23F9,0x228F,0xC07C,0x69C0,0x0002,0xE348,0x00ED,0xA2C2,0x0600,0x0000,
  0x01AB,0xBA5D,0x47FC,0x0000,0x66D1,0x66ED,0x80E5,0xEFC0,0x00A3,0x97B0,0x0046,0x2C8D,0xC940,0x0000,
  0x007F,0xD76E,0xABF0,0x0000,0x462C,0x8DC9,0x40C7,0xF640,0x037C,0xD940,0x001A,0x3206,0xDD80,0x0000,
  0x009E,0x7694,0x44A2,0x0000,0x1A32,0x06DD,0x80B2,0x8280,0x0B28,0x2F20,0x00D3,0x1F40,0xB940,0x0000,
  0x001C,0x098A,0x2619,0x4000,0x698F,0xA05C,0xA059,0x6C40,0x18DB,0x1800,0x001B,0xEA1E,0x2D50,0x0000,
  0x0003,0xCAB7,0xBCFA,0xA000,0x1BEA,0x1E2D,0x4082,0x22C0,0x2188,0xB740,0x02BF,0x4E5D,0x4480,0x0000,
  0x0002,0x9A74,0x2CA2,0xF402,0x9F4E,0x5D45,0x80B0,0xC480,0x4862,0x5AC0,0x01B3,0xB489,0x0378,0x0000,
  0x0002,0x5F59,0x0BD2,0xA401,0xF3B4,0x8907,0x70CB,0x1F80,0x658F,0xC900,0x0279,0xC0D1,0x1A88,0x0000,
  0x0001,0x5FCE,0xFE8A,0x2603,0x79C0,0xD11A,0x801D,0x9380,0x0EC9,0x4F80,0x0269,0xC0DA,0xA4F0,0x0000,
  0x0000,0x1CA6,0x51B5,0xE404,0xD381,0xB54D,0xE0E1,0x0A40,0xF0D7,0x8620,0x0789,0xB582,0xE518,0x0000,
  0x0001,0x01CF,0x7F5B,0xCC07,0x89B4,0xF0F1,0x30A8,0x1800,0xA802,0x2060,0x0279,0xF6D4,0x7E00,0x0000,
  0x0000,0x6006,0xA03C,0x6804,0xF3EC,0x064F,0x3928,0x55C0,0x0800,0x0020,0x0ABF,0x3D74,0xABF0,0x0000,
  0x0001,0x1000,0x4590,0x5E0A,0xBF3C,0x5CAB,0xF008,0xB001,0x0808,0x4580,0x06BD,0x5078,0x6BD4,0x0000,
  0x0002,0xD800,0x16FA,0xCC87,0xBD50,0x1C7B,0xD4C0,0xF720,0xC006,0x26A0,0x0FBA,0x7CF8,0xFBA6,0x0000,
  0x0006,0x0000,0x0603,0x991F,0x74FC,0x38FB,0xA5FE,0x0D61,0xF81F,0xE0C0,0x0FD9,0x64F8,0xFD96,0x0000,
  0x0005,0xE000,0x0178,0x431F,0xB2C8,0x18FD,0x94D3,0x42C1,0xA6D3,0x42C0,0x002F,0x9400,0x02F9,0x0000,
  0x0006,0xB000,0x00D6,0xB980,0x1F28,0x0000,0xF8DE,0xB2A0,0xDEB2,0x33A0,0x0594,0xA010,0x2CA5,0x0000,
  0x000E,0x0000,0x0070,0x7F0B,0x2948,0x002C,0xA495,0x9F40,0x95FF,0x2D60,0x0428,0x2810,0x21C1,0x0000,
  0x0008,0x8000,0x0044,0x0E88,0x7050,0x0021,0x4043,0x77C0,0x4377,0x90C0,0x0D48,0xC000,0x3523,0x0000,
  0x0007,0x8800,0x001E,0x2A1A,0x9188,0x006A,0x465F,0x12D8,0xBE25,0xA780,0x1189,0x6000,0x4625,0x8000,
  0x001B,0x1000,0x0036,0x21A3,0x1AC8,0x008C,0x4A2B,0x5CC4,0x56BC,0x1D80,0x0C29,0x5800,0x30A5,0x0000,
  0x0001,0x2800,0x0002,0x5298,0x52B0,0x0061,0x4A3C,0x3F99,0xE1FC,0x7840,0x1E68,0x7800,0x79A1,0x8000,
  0x0005,0x6C00,0x000A,0xD83C,0xD0F0,0x00F3,0x4311,0x03ED,0x1000,0x8800,0x09CA,0x7000,0x2729,0x8000,
  0x0019,0xD400,0x0019,0xD533,0x95E0,0x004E,0x530F,0x1D28,0xF000,0x7880,0x040E,0x0000,0x1038,0x0000,
  0x0039,0xFF00,0x0039,0xFE04,0x0E00,0x0020,0x700D,0x8866,0xC001,0xB100,0x0F13,0x6000,0x789B,0x4000,
  0x001C,0x9B00,0x0039,0x360F,0x1360,0x00F1,0x3600,0x4A41,0x2800,0x9400,0x00D5,0xC000,0x06AE,0x8000,
  0x0017,0x63F0,0x005D,0x8C02,0x6AE0,0x001A,0xBA01,0x5B05,0x615B,0x0A00,0x0122,0xA000,0x122A,0xC000,
  0x000F,0xE56E,0x01FC,0xAC00,0x9140,0x0048,0xAB01,0xFF4F,0xF3FE,0xAC00,0x0131,0x2000,0x2624,0x8000,
  0x005B,0x4584,0x0D12,0xC001,0x3100,0x0098,0x9201,0x4EE6,0x6677,0xF400,0x001D,0xC000,0x277D,0x8000,
  0x008C,0x591B,0x12A0,0x7001,0x3B80,0x009D,0xF600,0x3621,0xCEC5,0x8000,0x001E,0x4000,0x079F,0xE000,
  0x0068,0xC80B,0x746A,0x1000,0x3C00,0x001E,0x7F80,0x36C4,0x0363,0xF000,0x0009,0x4000,0x012E,0x4000,
  0x03C0,0x7D02,0xE16D,0xC000,0x0800,0x0004,0xB900,0x14B6,0xBA62,0x6000,0x004F,0x0000,0x09E4,0x2000,
  0x006A,0x006B,0xA878,0x8000,0x9E00,0x0027,0x90C0,0x0D84,0x1841,0x0000,0x00C5,0x0000,0x0C53,0x6000,
  0x02F8,0x000F,0xE4E5,0x0003,0x1400,0x0062,0x9B40,0x0214,0x64ED,0x0000,0x0198,0x0000,0x1984,0x2000,
  0x0FB0,0x0003,0xCE68,0x000C,0xC000,0x00CC,0x2140,0x00F7,0x7408,0x0000,0x03C6,0x0000,0x1E30,0xF000,
  0x0E20,0x0000,0x0000,0x001E,0x3000,0x00F1,0x8780,0x0008,0x1040,0x0000,0x03EF,0x0000,0x1F7F,0xA000,
  0x0680,0x0000,0x0000,0x003E,0xF000,0x00FB,0xFD40,0x0000,0x0200,0x0000,0x0478,0x0000,0x11E5,0x9000,
  0x3880,0x0000,0x0000,0x0047,0x8000,0x008F,0x2CA0,0x0000,0x0000,0x0000,0x0658,0x0000,0x04B1,0xE000,
  0x0F00,0x0000,0x0000,0x00CB,0x0000,0x0012,0xC7A0,0x0000,0x0000,0x0000,0x0F6C,0x0000,0x1ED8,0x1000,
  0x7000,0x0000,0x0000,0x035B,0x0000,0x007B,0x6040,0x0000,0x0000,0x0000,0x2110,0x0000,0x0A88,0xF000,
  0x9400,0x0000,0x0000,0x0711,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0220,0x0000,0x0000,0x0000,
  0x2800,0x0000,0x0000,0x0222,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x61C0,0x0000,0x0000,0x0000,
  0x3000,0x0000,0x0000,0x0186,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0180,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0004,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0800,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0040,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0100,0x0000,0x0000,0x0000,
  /* Plane 1 */
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0100,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x1900,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0820,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x3AE0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x4BA0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0100,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x5F80,0x0000,0x0000,0x0000,0x0000,0x0000,0x0190,0x2044,0x0000,0x041C,0x0000,
  0x0000,0x0000,0x0000,0xF348,0x0000,0x0000,0x1000,0x0000,0x0000,0x0080,0x3210,0xD294,0xA378,0x0000,
  0x0000,0x0000,0x0000,0xFFD9,0x0840,0x0064,0x2000,0x0007,0x3A00,0x0758,0x1269,0xEC59,0xDDC0,0x0000,
  0x0000,0x0000,0x000E,0x3984,0x1AFB,0x16FF,0xF800,0x004F,0xFFE0,0x08F4,0x65E7,0xDAFF,0x5F52,0x0000,
  0x0000,0x0000,0x02F8,0x9699,0x79F6,0xBFD7,0x9C00,0x00FF,0x5FF8,0x1BE8,0x6BBF,0xE5FF,0xB7A8,0x0000,
  0x0000,0x02A9,0x5815,0xAB35,0xDFF2,0xFFDB,0xD400,0x01FB,0xFFFF,0xFF70,0x9FDE,0xBEBB,0xFFF8,0x0000,
  0x0000,0x1634,0x8CA5,0x081B,0xEBB7,0xDF7F,0xFE00,0x0BF6,0x33FA,0xBDF0,0xBBFF,0xFF2F,0xFDE0,0x0000,
  0x0000,0x0841,0x078B,0x0C0F,0xB7FF,0xFAFF,0xDE00,0x1C42,0xB3E9,0xBED0,0x3FFB,0xEFEA,0xE780,0x0000,
  0x0000,0x0041,0x0090,0xD801,0xFFDF,0x7F57,0xBE00,0x0484,0x3068,0x4320,0x071C,0xFEFA,0xFF00,0x0000,
  0x0004,0x1400,0x4000,0x0000,0x38E7,0xF7D7,0xFC00,0x5500,0x0155,0x0000,0x005F,0x10DE,0x5A00,0x0000,
  0x0004,0x4040,0x3110,0x0000,0x0BE2,0x1BCB,0x5800,0x4002,0x0010,0x0080,0x002A,0x9505,0x5200,0x0000,
  0x001A,0x02CC,0x0024,0x0000,0x154A,0xC0AD,0x4000,0x0800,0x0000,0x8000,0x000A,0x0801,0x0000,0x0000,
  0x0012,0x1C48,0x0012,0x0000,0x0A0A,0x0141,0x0000,0x0C88,0x0001,0x9100,0x0000,0x0000,0x0000,0x0000,
  0x0006,0x0AA0,0x0001,0x8000,0x0000,0x0000,0x0000,0x4280,0x0006,0x1400,0x0000,0x0400,0x0000,0x0000,
  0x0009,0x6ED0,0x0000,0x0000,0x0002,0x0000,0x0003,0x9050,0x0007,0x2000,0x0002,0x1000,0x0200,0x0000,
  0x0093,0xCF60,0x0016,0x4000,0x0108,0x0010,0x0003,0x5DF0,0x0006,0xBA00,0x0006,0x4000,0x8800,0x0000,
  0x00F9,0xFFE0,0x0017,0x0000,0x0320,0x0032,0x000F,0x9750,0x000D,0x9604,0x000D,0x4001,0xA800,0x0000,
  0x00EF,0xB3F0,0x003B,0xC000,0x06A0,0x006A,0x000F,0xCD40,0x0007,0xE40E,0x0019,0x0C13,0x2100,0x0000,
  0x00EF,0xEEF0,0x0033,0x8000,0x190E,0x00C8,0x001D,0xFFE0,0x000E,0xFC1C,0x0046,0x0881,0x0800,0x0000,
  0x01F7,0x7428,0x007D,0x8000,0x1182,0x008C,0x001F,0xFE00,0x0002,0xFC2E,0x002B,0x6E51,0x1B00,0x0000,
  0x00F1,0x9770,0x0079,0x8000,0x15B7,0x0856,0x801D,0xD7C0,0x0007,0x7474,0x0069,0xFED1,0xF780,0x0000,
  0x009A,0xF292,0x009A,0x0000,0x34FF,0x3CD3,0xC033,0x0E40,0x0006,0x64C8,0x007C,0xFFFE,0x7FC0,0x0000,
  0x0109,0x3F35,0x0424,0x0000,0x3E7F,0x3EF9,0xC074,0x6140,0x0002,0x6208,0x00EF,0xBEFF,0x0EC0,0x0000,
  0x012A,0xA81D,0x466C,0x0000,0x77FF,0x7EEF,0xC0A0,0xAA00,0x00A3,0x87A0,0x00EE,0xEEDF,0xED60,0x0000,
  0x0030,0xC420,0x88A0,0x0000,0xEEEE,0xDFED,0x6041,0x8200,0x0120,0x0840,0x00BA,0xBA06,0xDFA0,0x0000,
  0x0000,0x0008,0x0000,0x0000,0xFBBA,0x06DF,0xE000,0x0400,0x0000,0x4040,0x00D1,0x1760,0x9940,0x0000,
  0x0003,0x2210,0x0844,0x2000,0x698B,0xB04C,0xA022,0x0000,0x0600,0x0140,0x001A,0xE212,0x2050,0x0000,
  0x000C,0x0048,0x4101,0x5000,0x1AE2,0x1220,0x4068,0x8900,0x1A22,0x4800,0x0212,0x4E48,0x0000,0x0000,
  0x0008,0x2189,0x8200,0x0802,0x124E,0x4801,0x004F,0x3B40,0x279D,0xA700,0x0011,0x1008,0x0078,0x0000,
  0x0005,0xA4A6,0xE505,0x5A00,0x5110,0x0804,0x313C,0xED00,0x9E76,0xBEC0,0x0000,0x1A20,0x0000,0x0000,
  0x0000,0xA13D,0x07FD,0xFC01,0x001A,0x2000,0x01FB,0x7CC0,0xFDBE,0xF8C0,0x0010,0x1A21,0x1208,0x0000,
  0x0000,0x1BFB,0xAF6F,0xBB00,0x2034,0x4220,0x117F,0xF7C0,0x3F81,0xFDC0,0x0064,0x4245,0x0AA4,0x0000,
  0x0000,0x0035,0xFBAD,0xBF00,0x6440,0x0C0C,0x89FB,0xBF41,0xFE07,0xF7E0,0x0180,0x0928,0x01A8,0x0000,
  0x0001,0x6017,0xDFEF,0xFF83,0x0010,0x1830,0x01BE,0xD7C0,0x9C01,0x2FA0,0x0562,0xC488,0x562C,0x0000,
  0x0003,0xF000,0x7DFF,0xFF05,0x40C4,0x2054,0x094E,0xB281,0x580A,0xF580,0x0B4B,0xECB0,0xB4BE,0x0000,
  0x0003,0xF800,0x1FFA,0xCF8B,0x4BEC,0x2CB4,0xBCC0,0xD720,0xC002,0x26A0,0x05CF,0xE850,0x5CFE,0x0000,
  0x0006,0x2000,0x0623,0xD90A,0x9FD4,0x1054,0xFCBA,0x0061,0xB81B,0xA000,0x09FF,0xDC98,0x9FFC,0x0000,
  0x0005,0xE000,0x0178,0x4313,0xFFB8,0x189F,0xFCC2,0x4281,0x86C3,0x4280,0x05FF,0x9460,0x5FF9,0x0000,
  0x0002,0xA000,0x0054,0xB81B,0xBF28,0x00DD,0xF818,0x22A0,0x9822,0x21A0,0x1DFF,0xF050,0xEEFF,0x0000,
  0x000A,0x0000,0x0050,0x563B,0xBFE8,0x00EF,0xFE00,0x2080,0x0000,0x8000,0x172D,0xF830,0x39EF,0x0000,
  0x0000,0x0000,0x0000,0x020E,0x7BF8,0x00B9,0x6E38,0x8010,0x3880,0x0E20,0x0D48,0xC000,0x3523,0x0000,
  0x0000,0x4000,0x0001,0x001A,0x9188,0x006A,0x4620,0xED20,0x41DA,0x1060,0x1089,0x6000,0x4225,0x8000,
  0x0004,0x2800,0x0008,0x5021,0x1AC8,0x0084,0x4A55,0xA3F8,0xAB42,0x2AC0,0x0400,0x1000,0x1000,0x0000,
  0x001C,0x8000,0x0039,0x0508,0x0020,0x0020,0x0013,0xD4E4,0x9EA4,0x2780,0x0A00,0x0000,0x2800,0x0000,
  0x001A,0x8000,0x0035,0x0714,0x0000,0x0050,0x001F,0xFF3D,0xFC00,0xFFC0,0x0000,0x0000,0x0000,0x0000,
  0x0024,0x3A00,0x0024,0x3A20,0x0100,0x0000,0x001F,0x77D9,0xF400,0xFB80,0x1101,0x2000,0x4404,0x8000,
  0x0006,0x0A00,0x0006,0x0A11,0x0120,0x0088,0x090D,0xEBE6,0xF001,0xBD00,0x00C8,0x8000,0x0644,0x0000,
  0x002B,0x6EC0,0x0056,0xDC00,0xC880,0x000C,0x8800,0xDF43,0x7801,0xBE00,0x070A,0x2000,0x3851,0x0000,
  0x0029,0xFFB0,0x00A7,0xFC01,0x8500,0x00E1,0x4401,0x5F05,0x715F,0x0A00,0x0395,0x4000,0x3955,0x0000,
  0x0079,0xFFFC,0x0F3F,0xFC01,0xCA80,0x00E5,0x5481,0xBC4D,0xE378,0xAC00,0x01EE,0xE000,0x3DDF,0xE000,
  0x00DF,0x7DFF,0x1DBF,0xF801,0xEE80,0x00F7,0x7F81,0x4EA6,0x6675,0x5400,0x00F2,0xC000,0x3CBA,0xE000,
  0x00DD,0xDDBF,0xDBE8,0xF001,0xE580,0x00F2,0xEB80,0x1201,0xCA40,0x8000,0x00F9,0x8000,0x3E6A,0xA000,
  0x01EE,0xE81B,0xFDEA,0x9001,0xF300,0x00F9,0xAA80,0x2400,0x1200,0x4000,0x01BF,0xC000,0x37FF,0xE000,
  0x03CC,0x5D82,0xE128,0xC001,0xBE00,0x00DF,0xFF80,0x0040,0x0415,0x0000,0x017F,0x8000,0x3FFC,0x6000,
  0x006A,0x006B,0x8848,0x8003,0xFE00,0x00FF,0xF1C0,0x0230,0x6006,0x8000,0x01DD,0x0000,0x1DD7,0xE000,
  0x0048,0x0001,0x24E4,0x0007,0x7400,0x00EE,0xBF40,0x012B,0x8900,0x0000,0x0199,0x0000,0x1997,0x2000,
  0x02A0,0x0000,0x8A20,0x000C,0xC800,0x00CC,0xB940,0x0008,0x8BF4,0x0000,0x0346,0x0000,0x1220,0xB000,
  0x0400,0x0000,0x0000,0x001A,0x3000,0x00D1,0x8580,0x0007,0xEFA0,0x0000,0x03CD,0x0000,0x1E6E,0x8000,
  0x0100,0x0000,0x0000,0x001C,0x5000,0x00F3,0x7400,0x0000,0xFC00,0x0000,0x0418,0x0000,0x1020,0x8000,
  0x0600,0x0000,0x0000,0x0041,0x8000,0x0083,0x0420,0x0000,0x0000,0x0000,0x0008,0x0000,0x0010,0x4000,
  0x3000,0x0000,0x0000,0x0001,0x0000,0x0000,0x4100,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x8C00,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x1440,0x0000,0x1022,0x0000,
  0x6800,0x0000,0x0000,0x0044,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x2880,0x0000,0x0000,0x0000,
  0x5000,0x0000,0x0000,0x0088,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x1E20,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0078,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x3E40,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x00F8,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0780,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0038,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0200,0x0000,0x0000,0x0000,
  /* Plane 2 */
  0x0000,0x0000,0x0000,0x0700,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x1FA0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x1FE0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x1FF0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x3FE0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0060,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x3FE0,0x0000,0x0000,0x0000,0x0000,0x0000,0x00F0,0x1800,0x0000,0x0010,0x0000,
  0x0000,0x0000,0x0000,0x7FE7,0x0000,0x0000,0x0000,0x0000,0x0000,0x01F8,0x1F80,0x0000,0x07F8,0x0000,
  0x0000,0x0000,0x0000,0x7FC7,0xC000,0x0000,0x1800,0x0000,0x0000,0x01FC,0x3FFC,0x0001,0xFFFC,0x0000,
  0x0000,0x0000,0x0000,0xFFCF,0xF800,0x0001,0xF800,0x0000,0x0000,0x03FE,0x3FFF,0xFFFF,0xFFFC,0x0000,
  0x0000,0x0000,0x0000,0xFFDF,0xFFC0,0x007F,0xFC00,0x0007,0xBE00,0x07FC,0x7FFF,0xFFFF,0xFFFC,0x0000,
  0x0000,0x0000,0x000E,0x399F,0xFFFF,0xFFFF,0xFC00,0x007F,0xFFE0,0x0FFC,0x7FFF,0xFFFF,0xFFFE,0x0000,
  0x0000,0x0000,0x02F8,0x969F,0xFFFF,0xFFFF,0xFC00,0x00FF,0xFFF8,0x1BFC,0x7FFF,0xFFFF,0xFFFE,0x0000,
  0x0000,0x02A9,0x5815,0xAB3F,0xFFFF,0xFFFF,0xFE00,0x01FB,0xFFFF,0xFF70,0xFFFF,0xFFFF,0xFFF8,0x0000,
  0x0000,0x1634,0x8CA5,0x081F,0xFFFF,0xFFFF,0xFE00,0x0BF6,0x33FA,0xBDF0,0xBFFF,0xFF3F,0xFDE0,0x0000,
  0x0000,0x0841,0x078B,0x0C0F,0xFFFF,0xFFFF,0xDE00,0x1C42,0xB3E9,0xBED0,0x3FFB,0xEFEA,0xE780,0x0000,
  0x0000,0x0041,0x0090,0xD801,0xFFDF,0x7F57,0xBE00,0x0484,0x3068,0x4320,0x071C,0xFEFA,0xFF00,0x0000,
  0x0004,0x1000,0x0000,0x0000,0x38E7,0xF7D7,0xFC00,0x5500,0x0155,0x0000,0x005F,0x10DE,0x5A00,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0BE2,0x1BCB,0x5800,0x4002,0x0010,0x0080,0x002A,0x9505,0x5200,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x154A,0xC0AD,0x4000,0x0000,0x0000,0x0000,0x000A,0x0801,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0A0A,0x0141,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0400,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0002,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0010,0x4000,0x0004,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0010,0x1100,0x000C,0x0000,0x0000,0x0000,0x0002,0x0000,0x0001,0x0002,0x0000,0x0000,0x0000,0x0000,
  0x0008,0x8BD0,0x0002,0x0000,0x0000,0x0000,0x0020,0x01C0,0x0005,0x0050,0x0000,0x0000,0x0000,0x0000,
  0x010E,0x688F,0x0086,0x0000,0x0000,0x0000,0x0022,0x2800,0x0008,0x8888,0x0000,0x0000,0x0000,0x0000,
  0x0165,0x0D6D,0x8165,0x0000,0x0000,0x0000,0x004C,0xF180,0x0009,0x9930,0x0000,0x0000,0x8000,0x0000,
  0x00F6,0xC0CA,0xF3DA,0x0000,0x0000,0x0000,0x000B,0x9E80,0x0001,0x9DF0,0x0010,0x4100,0xF100,0x0000,
  0x00D5,0x57E2,0xB990,0x0000,0x0800,0x0010,0x005F,0x55C0,0x0000,0x7850,0x0011,0x1120,0x1280,0x0000,
  0x00CF,0x3BDF,0x775C,0x0000,0x1111,0x2012,0x80BE,0x7DC0,0x02DF,0xF7A0,0x0045,0x45F9,0x2040,0x0000,
  0x00FF,0xFFFF,0xFFFF,0x0000,0x0445,0xF920,0x00FF,0xFF80,0x0FFF,0xFFE0,0x012E,0xE89F,0x66A0,0x0000,
  0x003F,0xFFFF,0xFFFF,0xE000,0x9674,0x4FB3,0x40FF,0xFFC0,0x3FFF,0xFFE0,0x01E5,0x1DED,0xDFA0,0x0000,
  0x003F,0xFFFF,0xFFFF,0xF801,0xE51D,0xEDDF,0xA0FF,0xFFC0,0x3FFF,0xFFC0,0x01ED,0xB1B7,0xFFF0,0x0000,
  0x001F,0xFFFF,0xFFFF,0xFC01,0xEDB1,0xB7FE,0xF0FF,0xFFC0,0x7FFF,0xFFC0,0x03EE,0xEFF7,0xFF80,0x0000,
  0x0007,0xFFFF,0xFFFF,0xFE03,0xAEEF,0xF7FB,0xC1FF,0xFF80,0xFFFF,0xFFC0,0x07FF,0xFFFF,0xFFF8,0x0000,
  0x0001,0xFFFF,0xFFFF,0xFE06,0xFFFF,0xFFFF,0xF1FF,0xFFC0,0xFFFF,0xFFC0,0x03FF,0xFFFF,0xFFF8,0x0000,
  0x0000,0x1FFF,0xFFFF,0xFF07,0xFFFF,0xFFFF,0xF9FF,0xFFC0,0xFFD7,0xFFE0,0x07FF,0xFFFF,0xFFFC,0x0000,
  0x0001,0x01FF,0xFFFF,0xFF07,0xFFFC,0xFEFF,0xF9FB,0xBF41,0xFE07,0xF7E0,0x07FF,0xFFFD,0xFFFC,0x0000,
  0x0001,0x6017,0xFFFF,0xFF8F,0xFFFC,0x7EFF,0xF9BE,0xD7C0,0x9C01,0x2FA0,0x0FFF,0xFDFC,0xFFFC,0x0000,
  0x0003,0xF000,0x7DFF,0xFF0F,0xFFFC,0x7CFF,0xF94E,0xB281,0x580A,0xF580,0x0FFF,0xFCF8,0xFFFE,0x0000,
  0x0003,0xF800,0x1FFA,0xCF8F,0xFFFC,0x3CFF,0xFCC0,0xD720,0xC002,0x26A0,0x0FFF,0xFCF8,0xFFFE,0x0000,
  0x0006,0x2000,0x0623,0xD91F,0xFFFC,0x38FF,0xFCBA,0x0061,0xB81B,0xA000,0x0FFF,0xFCF8,0xFFFE,0x0000,
  0x0005,0xE000,0x0178,0x431F,0xFFF8,0x18FF,0xFCC2,0x4281,0x86C3,0x4280,0x05FF,0x9460,0x5FF9,0x0000,
  0x0002,0xA000,0x0054,0xB81B,0xBF28,0x00DD,0xF818,0x22A0,0x9822,0x21A0,0x1DFF,0xF050,0xEEFF,0x0000,
  0x000A,0x0000,0x0050,0x563B,0xBFE8,0x00EF,0xFE00,0x0000,0x0000,0x0000,0x172D,0xF830,0x39EF,0x0000,
  0x0000,0x0000,0x0000,0x020E,0x7BF8,0x00B9,0x6E00,0x0000,0x0000,0x0000,0x0D48,0xC000,0x3523,0x0000,
  0x0000,0x0000,0x0000,0x001A,0x9188,0x006A,0x4600,0x0000,0x0000,0x0000,0x1089,0x6000,0x4225,0x8000,
  0x0000,0x0000,0x0000,0x0021,0x1AC8,0x0084,0x4A00,0x0000,0x0000,0x0000,0x0400,0x1000,0x1000,0x0000,
  0x0000,0x0000,0x0000,0x0008,0x0020,0x0020,0x0000,0x0000,0x0000,0x0000,0x0A00,0x0000,0x2800,0x0000,
  0x0000,0x0000,0x0000,0x0014,0x0000,0x0050,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0020,0x0100,0x0000,0x0000,0x8000,0x0800,0x0400,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0002,0x1401,0x0800,0x4280,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0007,0x209C,0x800E,0x4100,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0006,0xA0DA,0x86A0,0xF500,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0002,0x4392,0x1487,0x5200,0x0000,0x0000,0x0000,0x0000,
  0x0020,0x8200,0xE240,0x0000,0x0000,0x0000,0x0000,0xB149,0x898A,0xA800,0x0000,0x0000,0x0000,0x0000,
  0x0022,0x2240,0x2417,0x0000,0x0000,0x0000,0x0000,0xEDF2,0x15BF,0x7800,0x0000,0x0000,0x0000,0x0000,
  0x0011,0x17E4,0x0215,0x6000,0x0000,0x0000,0x0000,0x5BFC,0x3DFF,0xB000,0x0040,0x0000,0x0800,0x0000,
  0x0033,0xA27D,0x1ED7,0x0000,0x4000,0x0020,0x0000,0x3FFF,0xFFFF,0xE000,0x0080,0x0000,0x0003,0x8000,
  0x0394,0x0394,0x77B7,0x0000,0x0000,0x0000,0x0E00,0x0FFF,0xFFFF,0x8000,0x0022,0x8000,0x0228,0x1000,
  0x07B0,0x001E,0xDB1B,0x0000,0x8800,0x0011,0x4080,0x03FF,0xFFFF,0x0000,0x0066,0x8000,0x0668,0xD000,
  0x0D50,0x0003,0x75D8,0x0003,0x3000,0x0033,0x4680,0x00FF,0xFFFC,0x0000,0x00B9,0x0000,0x0DDF,0x4000,
  0x0BE0,0x0000,0x0000,0x0005,0xC800,0x002E,0x7A40,0x000F,0xFFE0,0x0000,0x0032,0x0000,0x0191,0x7000,
  0x1FC0,0x0000,0x0000,0x0023,0xA000,0x000C,0x8BC0,0x0000,0xFE00,0x0000,0x03E6,0x0000,0x0FDF,0x7000,
  0x3F80,0x0000,0x0000,0x003E,0x6000,0x007C,0xFBC0,0x0000,0x0000,0x0000,0x0FF4,0x0000,0x1FEF,0xB000,
  0x7F00,0x0000,0x0000,0x01FE,0xC000,0x007F,0xBEE0,0x0000,0x0000,0x0000,0x0FFC,0x0000,0x1FFF,0xF000,
  0xFE00,0x0000,0x0000,0x03FF,0x8000,0x007F,0xFFE0,0x0000,0x0000,0x0000,0x3FF8,0x0000,0x1FFF,0xF000,
  0xFC00,0x0000,0x0000,0x07FF,0x8000,0x0000,0x0000,0x0000,0x0000,0x0000,0x3FF0,0x0000,0x0000,0x0000,
  0x7800,0x0000,0x0000,0x03FF,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x7FE0,0x0000,0x0000,0x0000,
  0x3000,0x0000,0x0000,0x01FE,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x3FC0,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x00FC,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0F80,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0078,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0300,0x0000,0x0000,0x0000,
  /* Plane 3 */
  0x0000,0x0000,0x0000,0x0700,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x1FA0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x1FE0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x1FF0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x3FE0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0060,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x3FE0,0x0000,0x0000,0x0000,0x0000,0x0000,0x00F0,0x1800,0x0000,0x0010,0x0000,
  0x0000,0x0000,0x0000,0x7FE7,0x0000,0x0000,0x0000,0x0000,0x0000,0x01F8,0x1F80,0x0000,0x07F8,0x0000,
  0x0000,0x0000,0x0000,0x7FC7,0xC000,0x0000,0x1800,0x0000,0x0000,0x01FC,0x3FFC,0x0001,0xFFFC,0x0000,
  0x0000,0x0000,0x0000,0xFFCF,0xF800,0x0001,0xF800,0x0000,0x0000,0x03FE,0x3FFF,0xFFFF,0xFFFC,0x0000,
  0x0000,0x0000,0x0000,0xFFDF,0xFFC0,0x007F,0xFC00,0x0007,0xBE00,0x07FC,0x7FFF,0xFFFF,0xFFFC,0x0000,
  0x0000,0x0000,0x000E,0x399F,0xFFFF,0xFFFF,0xFC00,0x007F,0xFFE0,0x0FFC,0x7FFF,0xFFFF,0xFFFE,0x0000,
  0x0000,0x0000,0x02F8,0x969F,0xFFFF,0xFFFF,0xFC00,0x00FF,0xFFF8,0x1BFC,0x7FFF,0xFFFF,0xFFFE,0x0000,
  0x0000,0x02A9,0x5815,0xAB3F,0xFFFF,0xFFFF,0xFE00,0x01FB,0xFFFF,0xFF70,0xFFFF,0xFFFF,0xFFF8,0x0000,
  0x0000,0x1634,0x8CA5,0x081F,0xFFFF,0xFFFF,0xFE00,0x0BF6,0x33FA,0xBDF0,0xBFFF,0xFF3F,0xFDE0,0x0000,
  0x0000,0x0841,0x078B,0x0C0F,0xFFFF,0xFFFF,0xDE00,0x1C42,0xB3E9,0xBED0,0x3FFB,0xEFEA,0xE780,0x0000,
  0x0000,0x0041,0x0090,0xD801,0xFFDF,0x7F57,0xBE00,0x0484,0x3068,0x4320,0x071C,0xFEFA,0xFF00,0x0000,
  0x0004,0x1000,0x0000,0x0000,0x38E7,0xF7D7,0xFC00,0x5500,0x0155,0x0000,0x005F,0x10DE,0x5A00,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0BE2,0x1BCB,0x5800,0x4002,0x0010,0x0080,0x002A,0x9505,0x5200,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x154A,0xC0AD,0x4000,0x0000,0x0000,0x0000,0x000A,0x0801,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0A0A,0x0141,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0400,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0002,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0004,0x4080,0x0000,0x0800,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x8008,0x0000,0x0000,0x0000,0x0000,0x0041,0x2801,0x6002,0xD040,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0800,0x8200,0x0080,0x0000,0x0000,0x00B1,0x4D40,0xA005,0x0A60,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0005,0x3000,0x0000,0x0000,0x013F,0x28C1,0x3C0D,0xD940,0x0000,0x0000,0x0000,0x0000,
  0x0001,0xD000,0x01DC,0x2680,0x0000,0x0000,0x0145,0xFF80,0x4004,0x5FE0,0x0000,0x0000,0x0000,0x0000,
  0x0002,0x1000,0x0087,0xBC80,0x0000,0x0000,0x003D,0xBD60,0x783C,0xBD60,0x0A00,0x6810,0xA006,0x0000,
  0x0005,0x5000,0x00AB,0x4784,0x40D0,0x0022,0x04E7,0xDD40,0x67DD,0xDE40,0x0200,0x0820,0x1100,0x0000,
  0x0005,0xF000,0x002F,0xA984,0x4010,0x0010,0x00FF,0xFFF0,0xFFFF,0xBFE0,0x08D2,0x0000,0xC610,0x0000,
  0x000F,0xF000,0x007F,0xFDB1,0x8400,0x0046,0x90FF,0xFFF0,0xFFFF,0xBFE0,0x12B7,0x3820,0x4ADC,0x0000,
  0x000F,0xF800,0x003F,0xFFA5,0x6E70,0x0095,0xB87F,0xFFF8,0xFFFF,0xBFE0,0x0F76,0x9800,0x3DDA,0x0000,
  0x001F,0xF800,0x003F,0xFF9E,0xE530,0x007B,0xB47F,0xFFFC,0xFFFE,0x3FC0,0x1BFF,0xE800,0x6FFF,0x8000,
  0x001F,0xF800,0x003F,0xFFB7,0xFFD0,0x00DF,0xFE3F,0xFFFD,0xFFFC,0x7FC0,0x15FF,0xF800,0x57FF,0x8000,
  0x001F,0xFC00,0x003F,0xFF2B,0xFFF0,0x00AF,0xFF1F,0xFFFD,0xFC00,0xFFC0,0x1FFF,0xF000,0x7FFF,0x8000,
  0x003F,0xFE00,0x003F,0xFF1F,0xFEF0,0x00FF,0xFF1F,0xFFF9,0xFC00,0xFF80,0x1FFF,0xF000,0x7FFF,0xC000,
  0x003F,0xFF00,0x003F,0xFE1F,0xFFE0,0x00FF,0xFF0F,0xFFE7,0xF801,0xFF80,0x0FFF,0xF000,0x7FFF,0xC000,
  0x003F,0xFFC0,0x007F,0xFE0F,0xFFE0,0x00FF,0xFF07,0xFFDF,0xF80F,0xFF00,0x07FF,0xE000,0x3FFF,0xC000,
  0x003F,0xFFF0,0x00FF,0xFC03,0xFFE0,0x00FF,0xFF07,0xFFDF,0xF7FF,0xFF00,0x03FF,0xE000,0x3FFF,0xC000,
  0x007F,0xFFFE,0x0FFF,0xFC01,0xFFC0,0x00FF,0xFF83,0xFFDF,0xF7FF,0xFE00,0x01FF,0xE000,0x3FFF,0xE000,
  0x00FF,0xFFFF,0xFFFF,0xF801,0xFF80,0x00FF,0xFF81,0xFFEF,0xEFFF,0xFC00,0x00FF,0xC000,0x3FFF,0xE000,
  0x00FF,0xFFFF,0xFFFF,0xF001,0xFF80,0x00FF,0xFF80,0xFFF3,0xDFFF,0xF800,0x00FF,0xC000,0x3FFF,0xE000,
  0x01FF,0xFFFF,0xFFFF,0xF001,0xFF00,0x00FF,0xFF80,0x7FFC,0x3FFF,0xF000,0x01FF,0xC000,0x3FFF,0xE000,
  0x03FF,0xFFFF,0xFFFF,0xC001,0xFE00,0x00FF,0xFF80,0x3FFF,0xFFFF,0xE000,0x01FF,0x8000,0x3FFF,0xE000,
  0x03FE,0x03FF,0xFFFF,0x8003,0xFE00,0x00FF,0xFFC0,0x0FFF,0xFFFF,0x8000,0x01FF,0x8000,0x1FFF,0xF000,
  0x07F8,0x001F,0xFFFF,0x0007,0xFC00,0x00FF,0xFFC0,0x03FF,0xFFFF,0x0000,0x01FF,0x8000,0x1FFF,0xF000,
  0x0FF0,0x0003,0xFFF8,0x000F,0xF800,0x00FF,0xFFC0,0x00FF,0xFFFC,0x0000,0x03FF,0x0000,0x1FFF,0xF000,
  0x0FE0,0x0000,0x0000,0x001F,0xF800,0x00FF,0xFFC0,0x000F,0xFFE0,0x0000,0x03FF,0x0000,0x1FFF,0xF000,
  0x1FC0,0x0000,0x0000,0x003F,0xF000,0x00FF,0xFFC0,0x0000,0xFE00,0x0000,0x07FE,0x0000,0x1FFF,0xF000,
  0x3F80,0x0000,0x0000,0x007F,0xE000,0x00FF,0xFFE0,0x0000,0x0000,0x0000,0x0FFC,0x0000,0x1FFF,0xF000,
  0x7F00,0x0000,0x0000,0x01FF,0xC000,0x007F,0xFFE0,0x0000,0x0000,0x0000,0x0FFC,0x0000,0x1FFF,0xF000,
  0xFE00,0x0000,0x0000,0x03FF,0x8000,0x007F,0xFFE0,0x0000,0x0000,0x0000,0x3FF8,0x0000,0x1FFF,0xF000,
  0xFC00,0x0000,0x0000,0x07FF,0x8000,0x0000,0x0000,0x0000,0x0000,0x0000,0x3FF0,0x0000,0x0000,0x0000,
  0x7800,0x0000,0x0000,0x03FF,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x7FE0,0x0000,0x0000,0x0000,
  0x3000,0x0000,0x0000,0x01FE,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x3FC0,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x00FC,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0F80,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0078,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0300,0x0000,0x0000,0x0000,
  /* Plane 4 */
  0x0000,0x0000,0x0000,0x0700,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x1FA0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x1FE0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x1FF0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x3FE0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0060,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x3FE0,0x0000,0x0000,0x0000,0x0000,0x0000,0x00F0,0x1800,0x0000,0x0010,0x0000,
  0x0000,0x0000,0x0000,0x7FE7,0x0000,0x0000,0x0000,0x0000,0x0000,0x01F8,0x1F80,0x0000,0x07F8,0x0000,
  0x0000,0x0000,0x0000,0x7FC7,0xC000,0x0000,0x1800,0x0000,0x0000,0x01FC,0x3FFC,0x0001,0xFFFC,0x0000,
  0x0000,0x0000,0x0000,0xFFCF,0xF800,0x0001,0xF800,0x0000,0x0000,0x03FE,0x3FFF,0xFFFF,0xFFFC,0x0000,
  0x0000,0x0000,0x0000,0xFFDF,0xFFC0,0x007F,0xFC00,0x0007,0xBE00,0x07FC,0x7FFF,0xFFFF,0xFFFC,0x0000,
  0x0000,0x0000,0x000E,0x399F,0xFFFF,0xFFFF,0xFC00,0x007F,0xFFE0,0x0FFC,0x7FFF,0xFFFF,0xFFFE,0x0000,
  0x0000,0x0000,0x02F8,0x969F,0xFFFF,0xFFFF,0xFC00,0x00FF,0xFFF8,0x1BFC,0x7FFF,0xFFFF,0xFFFE,0x0000,
  0x0000,0x02A9,0x5815,0xAB3F,0xFFFF,0xFFFF,0xFE00,0x01FB,0xFFFF,0xFF70,0xFFFF,0xFFFF,0xFFF8,0x0000,
  0x0000,0x1634,0x8CA5,0x081F,0xFFFF,0xFFFF,0xFE00,0x0BF6,0x33FA,0xBDF0,0xBFFF,0xFF3F,0xFDE0,0x0000,
  0x0000,0x0841,0x078B,0x0C0F,0xFFFF,0xFFFF,0xDE00,0x1C42,0xB3E9,0xBED0,0x3FFB,0xEFEA,0xE780,0x0000,
  0x0000,0x0041,0x0090,0xD801,0xFFDF,0x7F57,0xBE00,0x0484,0x3068,0x4320,0x071C,0xFEFA,0xFF00,0x0000,
  0x0004,0x1000,0x0000,0x0000,0x38E7,0xF7D7,0xFC00,0x5500,0x0155,0x0000,0x005F,0x10DE,0x5A00,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0BE2,0x1BCB,0x5800,0x4002,0x0010,0x0080,0x002A,0x9505,0x5200,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x154A,0xC0AD,0x4000,0x0000,0x0000,0x0000,0x000A,0x0801,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0A0A,0x0141,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0400,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0002,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  /* Plane 5 */
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0001,0xC600,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0507,0x6900,0x0000,0x0000,0x0000,0x0000,0x0004,0x0400,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0156,0xA7EA,0x5400,0x0000,0x0000,0x0000,0x0204,0x0000,0x0088,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x29CB,0x735A,0xF600,0x0000,0x0000,0x0000,0x0409,0xCC05,0x4200,0x4000,0x00C0,0x0200,0x0000,
  0x0000,0xF7BE,0xF874,0xF200,0x0000,0x0000,0x2000,0x03BD,0x4C16,0x4120,0x0004,0x1015,0x1800,0x0000,
  0x0001,0xFFBE,0xFF6F,0x2000,0x0020,0x80A8,0x4000,0x3B7B,0xCB97,0xBCC0,0x00E3,0x0105,0x0000,0x0000,
  0x0003,0xEFFF,0xFFFF,0xF000,0x0718,0x0828,0x0200,0x2AFF,0xE02A,0xFFC0,0x00A0,0xEF21,0xA500,0x0000,
  0x001F,0xFFFF,0xF7FF,0xE000,0x141D,0xE434,0xA000,0xBFFD,0x802F,0xFF40,0x0015,0x6AE2,0xAC00,0x0000,
  0x003F,0xFFFE,0x007F,0xC000,0x0AB5,0x3F52,0xA001,0xFFFE,0x001F,0xFF80,0x0015,0xF402,0xFE00,0x0000,
  0x003F,0xFFF8,0x003F,0xC000,0x15F5,0x02BE,0x8001,0xFFFC,0x003F,0xFF00,0x001F,0xFC03,0xFE00,0x0000,
  0x007F,0xFFF0,0x001F,0x8000,0x0FFE,0x01FF,0x0003,0xFFF8,0x001F,0xFF00,0x001F,0xF801,0xFF00,0x0000,
  0x007F,0xFFF0,0x001F,0x8000,0x0FFD,0x00FF,0x0007,0xFFF8,0x000F,0xFE00,0x001F,0xFC03,0xFF00,0x0000,
  0x00FF,0xFFE0,0x001F,0xC000,0x0FFF,0x00FF,0x0007,0xFFF0,0x000F,0xFE00,0x001F,0xFC03,0xFF00,0x0000,
  0x00FF,0xFFE0,0x001F,0xC000,0x0FFF,0x00FF,0x000F,0xFFF0,0x000F,0xFE04,0x001F,0xFC03,0xFF00,0x0000,
  0x00FF,0xFFF0,0x003F,0xC000,0x0FFF,0x00FF,0x000F,0xFFE0,0x0007,0xFC0E,0x001F,0xFC13,0xFF00,0x0000,
  0x00FF,0xFFF0,0x003F,0x8000,0x1FFF,0x00FF,0x801F,0xFFE0,0x000F,0xFC1E,0x007F,0xFCF1,0xFF00,0x0000,
  0x01FF,0xFFF8,0x007F,0x8000,0x1FFF,0x00FF,0x803F,0xFFC0,0x0007,0xFC7E,0x007F,0xFEFB,0xFF80,0x0000,
  0x01FF,0xFFFF,0x00FF,0x8000,0x3FFF,0x18FF,0x803F,0xFFC0,0x000F,0xFCFC,0x007F,0xFEF9,0xFF80,0x0000,
  0x01FF,0xFFFF,0x81FF,0x0000,0x3FFF,0x3CFF,0xC07F,0xFFC0,0x000F,0xFDF8,0x007F,0xFFFF,0xFFC0,0x0000,
  0x01FF,0xFFFF,0xF7FE,0x0000,0x3FFF,0x3EFF,0xC07F,0xFFC0,0x0003,0xFFF8,0x00FF,0xFFFF,0xFFC0,0x0000,
  0x01FF,0xFFFF,0xFFFC,0x0000,0x7FFF,0x7EFF,0xC0FF,0xFFC0,0x00A3,0xFFF0,0x00FF,0xFFFF,0xFFE0,0x0000,
  0x00FF,0xFFFF,0xFFFC,0x0000,0xFFFF,0xFFFF,0xE0FF,0xFFC0,0x03FF,0xFFE0,0x00FF,0xFFFF,0xFFE0,0x0000,
  0x00FF,0xFFFF,0xFFFF,0x0000,0xFFFF,0xFFFF,0xE0FF,0xFF80,0x0FFF,0xFFE0,0x01FF,0xFFFF,0xFFE0,0x0000,
  0x003F,0xFFFF,0xFFFF,0xE000,0xFFFF,0xFFFF,0xE0FF,0xFFC0,0x3FFF,0xFFE0,0x01FF,0xFFFF,0xFFF0,0x0000,
  0x003F,0xFFFF,0xFFFF,0xF801,0xFFFF,0xFFFF,0xE0FF,0xFFC0,0x3FFF,0xFFC0,0x03FF,0xFFFF,0xFFF0,0x0000,
  0x001F,0xFFFF,0xFFFF,0xFC03,0xFFFF,0xFFFF,0xF0FF,0xFFC0,0x7FFF,0xFFC0,0x03FF,0xFFFF,0xFFF8,0x0000,
  0x0007,0xFFFF,0xFFFF,0xFE03,0xFFFF,0xFFFF,0xF1FF,0xFF80,0xFFFF,0xFFC0,0x07FF,0xFFFF,0xFFF8,0x0000,
  0x0001,0xFFFF,0xFFFF,0xFE07,0xFFFF,0xFFFF,0xF1FF,0xFFC0,0xFFFF,0xFFC0,0x03FF,0xFFFF,0xFFF8,0x0000,
  0x0000,0x1FFF,0xFFFF,0xFF07,0xFFFF,0xFFFF,0xF9FF,0xFFC0,0xFFD7,0xFFE0,0x07FF,0xFFFF,0xFFFC,0x0000,
  0x0001,0x01FF,0xFFFF,0xFF07,0xFFFC,0xFEFF,0xF9FF,0xFFC1,0xFE07,0xFFE0,0x07FF,0xFFFD,0xFFFC,0x0000,
  0x0001,0xE01F,0xFFFF,0xFF8F,0xFFFC,0x7EFF,0xF9FF,0xFFC1,0xFC03,0xFFE0,0x0FFF,0xFDFC,0xFFFC,0x0000,
  0x0003,0xF800,0xFFFF,0xFF8F,0xFFFC,0x7CFF,0xF9FF,0xFFC1,0xF80F,0xFFE0,0x0FFF,0xFCF8,0xFFFE,0x0000,
  0x0003,0xF800,0x1FFF,0xFF8F,0xFFFC,0x3CFF,0xFDFF,0xFFE1,0xFC0F,0xFFE0,0x0FFF,0xFCF8,0xFFFE,0x0000,
  0x0007,0xF000,0x07FF,0xFF9F,0xFFFC,0x38FF,0xFDFF,0xFFE1,0xF81F,0xFFE0,0x0FFF,0xFCF8,0xFFFE,0x0000,
  0x0007,0xF000,0x01FF,0xFF9F,0xFFF8,0x18FF,0xFCFF,0xFFE1,0xFEFF,0xFFE0,0x0FFF,0xFC70,0xFFFF,0x0000,
  0x0007,0xF000,0x00FF,0xFF9F,0xFFF8,0x00FF,0xFCFF,0xFFE0,0xFFFF,0xFFE0,0x1FFF,0xF870,0xFFFF,0x0000,
  0x000F,0xF000,0x007F,0xFFBF,0xFFF8,0x00FF,0xFEFF,0xFFF0,0xFFFF,0xBFE0,0x1FFF,0xF830,0xFFFF,0x0000,
  0x000F,0xF000,0x007F,0xFFBF,0xFFF8,0x00FF,0xFEFF,0xFFF0,0xFFFF,0xBFE0,0x1FFF,0xF820,0x7FFF,0x0000,
  0x000F,0xF800,0x003F,0xFFBF,0xFFF8,0x00FF,0xFE7F,0xFFF8,0xFFFF,0xBFE0,0x1FFF,0xF800,0x7FFF,0x8000,
  0x001F,0xF800,0x003F,0xFFBF,0xFFF8,0x00FF,0xFE7F,0xFFFC,0xFFFE,0x3FC0,0x1FFF,0xF800,0x7FFF,0x8000,
  0x001F,0xF800,0x003F,0xFFBF,0xFFF0,0x00FF,0xFE3F,0xFFFD,0xFFFC,0x7FC0,0x1FFF,0xF800,0x7FFF,0x8000,
  0x001F,0xFC00,0x003F,0xFF3F,0xFFF0,0x00FF,0xFF1F,0xFFFD,0xFC00,0xFFC0,0x1FFF,0xF000,0x7FFF,0x8000,
  0x003F,0xFE00,0x003F,0xFF3F,0xFFF0,0x00FF,0xFF1F,0xFFF9,0xFC00,0xFF80,0x1FFF,0xF000,0x7FFF,0xC000,
  0x003F,0xFF00,0x003F,0xFE1F,0xFFE0,0x00FF,0xFF0F,0xFFE7,0xF801,0xFF80,0x0FFF,0xF000,0x7FFF,0xC000,
  0x003F,0xFFC0,0x007F,0xFE0F,0xFFE0,0x00FF,0xFF07,0xFFDF,0xF80F,0xFF00,0x07FF,0xE000,0x3FFF,0xC000,
  0x003F,0xFFF0,0x00FF,0xFC03,0xFFE0,0x00FF,0xFF07,0xFFDF,0xF7FF,0xFF00,0x03FF,0xE000,0x3FFF,0xC000,
  0x007F,0xFFFE,0x0FFF,0xFC01,0xFFC0,0x00FF,0xFF83,0xFFDF,0xF7FF,0xFE00,0x01FF,0xE000,0x3FFF,0xE000,
  0x00FF,0xFFFF,0xFFFF,0xF801,0xFF80,0x00FF,0xFF81,0xFFEF,0xEFFF,0xFC00,0x00FF,0xC000,0x3FFF,0xE000,
  0x00FF,0xFFFF,0xFFFF,0xF001,0xFF80,0x00FF,0xFF80,0xFFF3,0xDFFF,0xF800,0x00FF,0xC000,0x3FFF,0xE000,
  0x01FF,0xFFFF,0xFFFF,0xF001,0xFF00,0x00FF,0xFF80,0x7FFC,0x3FFF,0xF000,0x01FF,0xC000,0x3FFF,0xE000,
  0x03FF,0xFFFF,0xFFFF,0xC001,0xFE00,0x00FF,0xFF80,0x3FFF,0xFFFF,0xE000,0x01FF,0x8000,0x3FFF,0xE000,
  0x03FE,0x03FF,0xFFFF,0x8003,0xFE00,0x00FF,0xFFC0,0x0FFF,0xFFFF,0x8000,0x01FF,0x8000,0x1FFF,0xF000,
  0x07F8,0x001F,0xFFFF,0x0007,0xFC00,0x00FF,0xFFC0,0x03FF,0xFFFF,0x0000,0x01FF,0x8000,0x1FFF,0xF000,
  0x0FF0,0x0003,0xFFF8,0x000F,0xF800,0x00FF,0xFFC0,0x00FF,0xFFFC,0x0000,0x03FF,0x0000,0x1FFF,0xF000,
  0x0FE0,0x0000,0x0000,0x001F,0xF800,0x00FF,0xFFC0,0x000F,0xFFE0,0x0000,0x03FF,0x0000,0x1FFF,0xF000,
  0x1FC0,0x0000,0x0000,0x003F,0xF000,0x00FF,0xFFC0,0x0000,0xFE00,0x0000,0x07FE,0x0000,0x1FFF,0xF000,
  0x3F80,0x0000,0x0000,0x007F,0xE000,0x00FF,0xFFE0,0x0000,0x0000,0x0000,0x0FFC,0x0000,0x1FFF,0xF000,
  0x7F00,0x0000,0x0000,0x01FF,0xC000,0x007F,0xFFE0,0x0000,0x0000,0x0000,0x0FFC,0x0000,0x1FFF,0xF000,
  0xFE00,0x0000,0x0000,0x03FF,0x8000,0x007F,0xFFE0,0x0000,0x0000,0x0000,0x3FF8,0x0000,0x1FFF,0xF000,
  0xFC00,0x0000,0x0000,0x07FF,0x8000,0x0000,0x0000,0x0000,0x0000,0x0000,0x3FF0,0x0000,0x0000,0x0000,
  0x7800,0x0000,0x0000,0x03FF,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x7FE0,0x0000,0x0000,0x0000,
  0x3000,0x0000,0x0000,0x01FE,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x3FC0,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x00FC,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0F80,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0078,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0300,0x0000,0x0000,0x0000,
  /* Plane 6 */
  0x0000,0x0000,0x0000,0x0700,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x1FA0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x1FE0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x1FF0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x3FE0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0060,0x0000,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x3FE0,0x0000,0x0000,0x0000,0x0000,0x0000,0x00F0,0x1800,0x0000,0x0010,0x0000,
  0x0000,0x0000,0x0000,0x7FE7,0x0000,0x0000,0x0000,0x0000,0x0000,0x01F8,0x1F80,0x0000,0x07F8,0x0000,
  0x0000,0x0000,0x0000,0x7FC7,0xC000,0x0000,0x1800,0x0000,0x0000,0x01FC,0x3FFC,0x0001,0xFFFC,0x0000,
  0x0000,0x0000,0x0000,0xFFCF,0xF800,0x0001,0xF800,0x0000,0x0000,0x03FE,0x3FFF,0xFFFF,0xFFFC,0x0000,
  0x0000,0x0000,0x0000,0xFFDF,0xFFC0,0x007F,0xFC00,0x0007,0xBE00,0x07FC,0x7FFF,0xFFFF,0xFFFC,0x0000,
  0x0000,0x0000,0x000F,0xFF9F,0xFFFF,0xFFFF,0xFC00,0x007F,0xFFE0,0x0FFC,0x7FFF,0xFFFF,0xFFFE,0x0000,
  0x0000,0x0000,0x07FF,0xFF9F,0xFFFF,0xFFFF,0xFC00,0x00FF,0xFFFC,0x1FFC,0x7FFF,0xFFFF,0xFFFE,0x0000,
  0x0000,0x03FF,0xFFFF,0xFF3F,0xFFFF,0xFFFF,0xFE00,0x03FF,0xFFFF,0xFFF8,0xFFFF,0xFFFF,0xFFF8,0x0000,
  0x0000,0x3FFF,0xFFFF,0xFE1F,0xFFFF,0xFFFF,0xFE00,0x0FFF,0xFFFF,0xFFF0,0xFFFF,0xFFFF,0xFFE0,0x0000,
  0x0000,0xFFFF,0xFFFF,0xFE0F,0xFFFF,0xFFFF,0xFE00,0x1FFF,0xFFFF,0xFFF0,0x3FFF,0xFFFF,0xFF80,0x0000,
  0x0001,0xFFFF,0xFFFF,0xF801,0xFFFF,0xFFFF,0xFE00,0x3FFF,0xFBFF,0xFFE0,0x07FF,0xFFFF,0xFF00,0x0000,
  0x0007,0xFFFF,0xFFFF,0xF000,0x3FFF,0xFFFF,0xFE00,0x7FFF,0xE17F,0xFFC0,0x00FF,0xFFFF,0xFF00,0x0000,
  0x001F,0xFFFF,0xF7FF,0xE000,0x1FFF,0xFFFF,0xF800,0xFFFF,0x803F,0xFFC0,0x003F,0xFFE7,0xFE00,0x0000,
  0x003F,0xFFFE,0x007F,0xC000,0x1FFF,0xFFFF,0xE001,0xFFFE,0x001F,0xFF80,0x001F,0xFC03,0xFE00,0x0000,
  0x003F,0xFFF8,0x003F,0xC000,0x1FFF,0x03FF,0x8001,0xFFFC,0x003F,0xFF00,0x001F,0xFC03,0xFE00,0x0000,
  0x007F,0xFFF0,0x001F,0x8000,0x0FFE,0x01FF,0x0003,0xFFF8,0x001F,0xFF00,0x001F,0xFC01,0xFF00,0x0000,
  0x007F,0xFFF0,0x001F,0x8000,0x0FFF,0x00FF,0x0007,0xFFF8,0x000F,0xFE00,0x001F,0xFC03,0xFF00,0x0000,
  0x00FF,0xFFE0,0x001F,0xC000,0x0FFF,0x00FF,0x0007,0xFFF0,0x000F,0xFE00,0x001F,0xFC03,0xFF00,0x0000,
  0x00FF,0xFFE0,0x001F,0xC000,0x0FFF,0x00FF,0x000F,0xFFF0,0x000F,0xFE04,0x001F,0xFC03,0xFF00,0x0000,
  0x00FF,0xFFF0,0x003F,0xC000,0x0FFF,0x00FF,0x000F,0xFFE0,0x0007,0xFC0E,0x001F,0xFC13,0xFF00,0x0000,
  0x00FF,0xFFF0,0x003F,0x8000,0x1FFF,0x00FF,0x801F,0xFFE0,0x000F,0xFC1E,0x007F,0xFCF1,0xFF00,0x0000,
  0x01FF,0xFFF8,0x007F,0x8000,0x1FFF,0x00FF,0x803F,0xFFC0,0x0007,0xFC7E,0x007F,0xFEFB,0xFF80,0x0000,
  0x01FF,0xFFFF,0x00FF,0x8000,0x3FFF,0x18FF,0x803F,0xFFC0,0x000F,0xFCFC,0x007F,0xFEF9,0xFF80,0x0000,
  0x01FF,0xFFFF,0x81FF,0x0000,0x3FFF,0x3CFF,0xC07F,0xFFC0,0x000F,0xFDF8,0x007F,0xFFFF,0xFFC0,0x0000,
  0x01FF,0xFFFF,0xF7FE,0x0000,0x3FFF,0x3EFF,0xC07F,0xFFC0,0x0003,0xFFF8,0x00FF,0xFFFF,0xFFC0,0x0000,
  0x01FF,0xFFFF,0xFFFC,0x0000,0x7FFF,0x7EFF,0xC0FF,0xFFC0,0x00A3,0xFFF0,0x00FF,0xFFFF,0xFFE0,0x0000,
  0x00FF,0xFFFF,0xFFFC,0x0000,0xFFFF,0xFFFF,0xE0FF,0xFFC0,0x03FF,0xFFE0,0x00FF,0xFFFF,0xFFE0,0x0000,
  0x00FF,0xFFFF,0xFFFF,0x0000,0xFFFF,0xFFFF,0xE0FF,0xFF80,0x0FFF,0xFFE0,0x01FF,0xFFFF,0xFFE0,0x0000,
  0x003F,0xFFFF,0xFFFF,0xE000,0xFFFF,0xFFFF,0xE0FF,0xFFC0,0x3FFF,0xFFE0,0x01FF,0xFFFF,0xFFF0,0x0000,
  0x003F,0xFFFF,0xFFFF,0xF801,0xFFFF,0xFFFF,0xE0FF,0xFFC0,0x3FFF,0xFFC0,0x03FF,0xFFFF,0xFFF0,0x0000,
  0x001F,0xFFFF,0xFFFF,0xFC03,0xFFFF,0xFFFF,0xF0FF,0xFFC0,0x7FFF,0xFFC0,0x03FF,0xFFFF,0xFFF8,0x0000,
  0x0007,0xFFFF,0xFFFF,0xFE03,0xFFFF,0xFFFF,0xF1FF,0xFF80,0xFFFF,0xFFC0,0x07FF,0xFFFF,0xFFF8,0x0000,
  0x0001,0xFFFF,0xFFFF,0xFE07,0xFFFF,0xFFFF,0xF1FF,0xFFC0,0xFFFF,0xFFC0,0x03FF,0xFFFF,0xFFF8,0x0000,
  0x0000,0x1FFF,0xFFFF,0xFF07,0xFFFF,0xFFFF,0xF9FF,0xFFC0,0xFFD7,0xFFE0,0x07FF,0xFFFF,0xFFFC,0x0000,
  0x0001,0x01FF,0xFFFF,0xFF07,0xFFFC,0xFEFF,0xF9FF,0xFFC1,0xFE07,0xFFE0,0x07FF,0xFFFD,0xFFFC,0x0000,
  0x0001,0xE01F,0xFFFF,0xFF8F,0xFFFC,0x7EFF,0xF9FF,0xFFC1,0xFC03,0xFFE0,0x0FFF,0xFDFC,0xFFFC,0x0000,
  0x0003,0xF800,0xFFFF,0xFF8F,0xFFFC,0x7CFF,0xF9FF,0xFFC1,0xF80F,0xFFE0,0x0FFF,0xFCF8,0xFFFE,0x0000,
  0x0003,0xF800,0x1FFF,0xFF8F,0xFFFC,0x3CFF,0xFDFF,0xFFE1,0xFC0F,0xFFE0,0x0FFF,0xFCF8,0xFFFE,0x0000,
  0x0007,0xF000,0x07FF,0xFF9F,0xFFFC,0x38FF,0xFDFF,0xFFE1,0xF81F,0xFFE0,0x0FFF,0xFCF8,0xFFFE,0x0000,
  0x0007,0xF000,0x01FF,0xFF9F,0xFFF8,0x18FF,0xFCFF,0xFFE1,0xFEFF,0xFFE0,0x0FFF,0xFC70,0xFFFF,0x0000,
  0x0007,0xF000,0x00FF,0xFF9F,0xFFF8,0x00FF,0xFCFF,0xFFE0,0xFFFF,0xFFE0,0x1FFF,0xF870,0xFFFF,0x0000,
  0x000F,0xF000,0x007F,0xFFBF,0xFFF8,0x00FF,0xFEFF,0xFFF0,0xFFFF,0xBFE0,0x1FFF,0xF830,0xFFFF,0x0000,
  0x000F,0xF000,0x007F,0xFFBF,0xFFF8,0x00FF,0xFEFF,0xFFF0,0xFFFF,0xBFE0,0x1FFF,0xF820,0x7FFF,0x0000,
  0x000F,0xF800,0x003F,0xFFBF,0xFFF8,0x00FF,0xFE7F,0xFFF8,0xFFFF,0xBFE0,0x1FFF,0xF800,0x7FFF,0x8000,
  0x001F,0xF800,0x003F,0xFFBF,0xFFF8,0x00FF,0xFE7F,0xFFFC,0xFFFE,0x3FC0,0x1FFF,0xF800,0x7FFF,0x8000,
  0x001F,0xF800,0x003F,0xFFBF,0xFFF0,0x00FF,0xFE3F,0xFFFD,0xFFFC,0x7FC0,0x1FFF,0xF800,0x7FFF,0x8000,
  0x001F,0xFC00,0x003F,0xFF3F,0xFFF0,0x00FF,0xFF1F,0xFFFD,0xFC00,0xFFC0,0x1FFF,0xF000,0x7FFF,0x8000,
  0x003F,0xFE00,0x003F,0xFF3F,0xFFF0,0x00FF,0xFF1F,0xFFF9,0xFC00,0xFF80,0x1FFF,0xF000,0x7FFF,0xC000,
  0x003F,0xFF00,0x003F,0xFE1F,0xFFE0,0x00FF,0xFF0F,0xFFE7,0xF801,0xFF80,0x0FFF,0xF000,0x7FFF,0xC000,
  0x003F,0xFFC0,0x007F,0xFE0F,0xFFE0,0x00FF,0xFF07,0xFFDF,0xF80F,0xFF00,0x07FF,0xE000,0x3FFF,0xC000,
  0x003F,0xFFF0,0x00FF,0xFC03,0xFFE0,0x00FF,0xFF07,0xFFDF,0xF7FF,0xFF00,0x03FF,0xE000,0x3FFF,0xC000,
  0x007F,0xFFFE,0x0FFF,0xFC01,0xFFC0,0x00FF,0xFF83,0xFFDF,0xF7FF,0xFE00,0x01FF,0xE000,0x3FFF,0xE000,
  0x00FF,0xFFFF,0xFFFF,0xF801,0xFF80,0x00FF,0xFF81,0xFFEF,0xEFFF,0xFC00,0x00FF,0xC000,0x3FFF,0xE000,
  0x00FF,0xFFFF,0xFFFF,0xF001,0xFF80,0x00FF,0xFF80,0xFFF3,0xDFFF,0xF800,0x00FF,0xC000,0x3FFF,0xE000,
  0x01FF,0xFFFF,0xFFFF,0xF001,0xFF00,0x00FF,0xFF80,0x7FFC,0x3FFF,0xF000,0x01FF,0xC000,0x3FFF,0xE000,
  0x03FF,0xFFFF,0xFFFF,0xC001,0xFE00,0x00FF,0xFF80,0x3FFF,0xFFFF,0xE000,0x01FF,0x8000,0x3FFF,0xE000,
  0x03FE,0x03FF,0xFFFF,0x8003,0xFE00,0x00FF,0xFFC0,0x0FFF,0xFFFF,0x8000,0x01FF,0x8000,0x1FFF,0xF000,
  0x07F8,0x001F,0xFFFF,0x0007,0xFC00,0x00FF,0xFFC0,0x03FF,0xFFFF,0x0000,0x01FF,0x8000,0x1FFF,0xF000,
  0x0FF0,0x0003,0xFFF8,0x000F,0xF800,0x00FF,0xFFC0,0x00FF,0xFFFC,0x0000,0x03FF,0x0000,0x1FFF,0xF000,
  0x0FE0,0x0000,0x0000,0x001F,0xF800,0x00FF,0xFFC0,0x000F,0xFFE0,0x0000,0x03FF,0x0000,0x1FFF,0xF000,
  0x1FC0,0x0000,0x0000,0x003F,0xF000,0x00FF,0xFFC0,0x0000,0xFE00,0x0000,0x07FE,0x0000,0x1FFF,0xF000,
  0x3F80,0x0000,0x0000,0x007F,0xE000,0x00FF,0xFFE0,0x0000,0x0000,0x0000,0x0FFC,0x0000,0x1FFF,0xF000,
  0x7F00,0x0000,0x0000,0x01FF,0xC000,0x007F,0xFFE0,0x0000,0x0000,0x0000,0x0FFC,0x0000,0x1FFF,0xF000,
  0xFE00,0x0000,0x0000,0x03FF,0x8000,0x007F,0xFFE0,0x0000,0x0000,0x0000,0x3FF8,0x0000,0x1FFF,0xF000,
  0xFC00,0x0000,0x0000,0x07FF,0x8000,0x0000,0x0000,0x0000,0x0000,0x0000,0x3FF0,0x0000,0x0000,0x0000,
  0x7800,0x0000,0x0000,0x03FF,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x7FE0,0x0000,0x0000,0x0000,
  0x3000,0x0000,0x0000,0x01FE,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x3FC0,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x00FC,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0F80,0x0000,0x0000,0x0000,
  0x0000,0x0000,0x0000,0x0078,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0300,0x0000,0x0000,0x0000
};

#ifdef LATTICE
    UWORD chip CloudData[] =
#endif
#ifdef __STORM__
    __chip UWORD CloudData[] =
#endif

{ 0x0895,0x9921,0x8090,0x0300,
  0x3124,0x0216,0x4113,0x8800,
  0x254E,0xF873,0xC0A0,0x4080,
  0x4B08,0x82C0,0x2020,0x0000,
  0x1920,0x0100,0x8058,0x0B80,
  0x1981,0x1204,0x8070,0x0140,
  0x500A,0x0450,0xEE48,0x0040,
  0x3032,0x0E08,0x5330,0x0040,
  0xE30C,0x10F3,0x8008,0x0940,
  0xE000,0x0146,0x01D4,0x1AC0,
  0x00E4,0x41E6,0x1970,0x3040,
  0x0488,0x218A,0x0210,0x5600,
  0x1021,0x4088,0x1013,0x0000,
  0x2081,0x3AAA,0x38A0,0x02C0,
  0x8028,0x5020,0x2000,0x8000,
  0x29C0,0x4080,0x1804,0x2440,
  0x1029,0x2200,0x1780,0x0700,
  0x2154,0x0500,0x0618,0x0000,
  0xA82A,0x3408,0xD201,0xAC80,
  0x0220,0x4030,0x6031,0x2200,
  0x0082,0x2127,0xA0A4,0x2800,
  0x8007,0x40A0,0x4461,0x0400,
  0x2064,0xE210,0x3340,0x2500,
  0x0923,0xD9F4,0x780E,0xE440,
  0x0007,0x05F4,0x2089,0xB400,
  0x8B80,0x0A20,0x601A,0x2C00,
  0x083C,0x0082,0x6AFA,0x4900,
  0x7C91,0x812B,0x4290,0x2400,
  0xC008,0x0303,0x24D0,0x3D00,
  0x0940,0x0704,0x0010,0x0800,
  0x3020,0x058D,0x0640,0xB900,
  0x2E01,0x250C,0x1141,0x0000,
  0x209C,0x2DA0,0xA0D0,0x4140,
  0x1914,0x2D80,0x0482,0x5D00,
  0x00A8,0x2491,0x04E2,0x0040,
  0x4029,0xA6A0,0x2000,0x8500,
  0x8C98,0x7000,0x0000,0x8400,
  0x0131,0x3C80,0x3CA0,0x1080,
  0x0D06,0xB810,0x0480,0x00C0,
  0x5F42,0x8908,0x0402,0x0C00,
  0x4444,0x909E,0x0823,0x6800,
  0xAA48,0x4C70,0x5884,0x0880,
  0x7B46,0x0892,0xC009,0x8000,
  0x803B,0x9403,0x0218,0x4000,
  0x5C22,0x3521,0x50AC,0x3580,
  0x09BE,0x8030,0x035B,0xC500,
  0x7028,0xBA00,0x0090,0x2BC0,
  0x0298,0x2FF0,0x0316,0x2600,
  0x2080,0x104C,0x08C2,0x2340,
  0xE408,0x83C1,0x0413,0x4400,
  0xC040,0x3580,0x1874,0x5000,
  0x0093,0xC013,0x6801,0xB280,
  0xA830,0x1624,0x401D,0x21C0,
  0x6094,0x690C,0x7879,0x00C0,
  0x0485,0x8C48,0x5045,0x4000,
  0x2003,0xA851,0x06CC,0x0900,
  0x9207,0x8451,0x3800,0x19C0,
  0x4EAA,0x8024,0x3500,0x6580,
  /* Plane 1 */
  0xD884,0x4B75,0x8C50,0x12C0,
  0xF80C,0x9E16,0x8C06,0x00C0,
  0x2030,0x181F,0x3AE8,0x47C0,
  0x6045,0x7E08,0x628C,0x0000,
  0x20A0,0x6438,0x1E19,0x0080,
  0x2111,0xFF1C,0x1440,0xC180,
  0xC060,0xFD54,0xE42B,0x0780,
  0x2402,0xFE6C,0x5F0E,0x0680,
  0xE550,0x9188,0x424E,0x4100,
  0x7D81,0xA100,0x4484,0x0A40,
  0x7E18,0xC020,0x4407,0xA800,
  0x8873,0x000C,0xED07,0x0800,
  0x0605,0x4001,0x614F,0x0500,
  0x8001,0x0003,0xCA0C,0x4740,
  0x076E,0xD417,0x920C,0x8040,
  0x6019,0xDC7F,0xC5FE,0xABC0,
  0x00A9,0x137E,0x2D02,0x2380,
  0x0ED3,0x6B08,0x81CA,0x0140,
  0x8FCE,0x78C6,0xC340,0x01C0,
  0x0FCC,0x4300,0x4300,0x4600,
  0x9D98,0x8349,0x838E,0xFC00,
  0x819B,0x1803,0x0518,0xC040,
  0x2010,0x22C3,0x27E9,0x0140,
  0xA928,0x6021,0xC730,0x7140,
  0xA860,0xEC50,0x0F00,0x1440,
  0xD1F0,0xB0DE,0x8698,0xE280,
  0xC180,0x3664,0x0E01,0xDE00,
  0x8718,0x26C4,0x0209,0xA4C0,
  0x0702,0xFA18,0x375F,0x21C0,
  0xA057,0x9004,0xFFD0,0x4280,
  0x8790,0x5000,0xFE02,0xFFC0,
  0x1EF8,0x5244,0xF000,0xB740,
  0x1922,0xCAB9,0xA040,0x8540,
  0x0B22,0x83BC,0x241F,0x8000,
  0x3BE0,0x8630,0x047B,0x8200,
  0x1E06,0x8E20,0xBC58,0x8400,
  0xCE72,0x4038,0x205A,0xC400,
  0xA6C0,0x0C70,0x2100,0x0080,
  0x20EF,0x0872,0x815F,0xE3C0,
  0x808E,0x0958,0x015F,0x8640,
  0x0530,0x1F42,0x221F,0x0680,
  0x00F8,0x4E05,0x025C,0x4380,
  0x1DF1,0x0880,0x014C,0x9E40,
  0x31C0,0x1B0F,0x0300,0x4340,
  0x4791,0x7B03,0x6FA4,0x0E00,
  0x6000,0xC217,0x6B00,0x0800,
  0x8589,0x02D0,0xC180,0x0840,
  0x3A53,0x0417,0xDF03,0x74C0,
  0x86D7,0x1515,0x424A,0x11C0,
  0x9FF5,0x1C33,0x84E1,0xFC40,
  0x067A,0x1226,0x8105,0xC0C0,
  0x54E4,0x80E6,0x8431,0x3EC0,
  0x15A8,0x5BE6,0x9107,0x3FC0,
  0x6F00,0x2393,0x2223,0xD800,
  0x0C8A,0x1182,0xA68E,0xF840,
  0x154A,0xEA07,0xA00C,0x8100,
  0x3210,0x5421,0x805E,0x2400,
  0x4090,0x646E,0xEB10,0x8480,
  /* Plane 2 */
  0xA77B,0xF4CA,0x73EF,0xED00,
  0x86F3,0xE1E9,0x3BF1,0xFF80,
  0xDFED,0xE7E0,0xC517,0xB800,
  0x9F9A,0xA1F7,0x9DF3,0xFFC0,
  0xDF1F,0xFBC7,0xE5E6,0xFF40,
  0xCEEE,0x00E3,0xEFFF,0x3E40,
  0x2F9D,0x02AB,0x1BD7,0xF800,
  0xFBFE,0xE193,0xA4F3,0xF900,
  0x3AAE,0xEE77,0xBDB3,0xBE80,
  0xEB7D,0x5EBF,0xBB7B,0xE180,
  0xE7B7,0x3F5F,0xBBF8,0x57C0,
  0x77AC,0xFEF3,0xDAF8,0xF7C0,
  0xFFFA,0xBFFE,0x1CB0,0xFAC0,
  0x7FFE,0xE7F4,0xB5F3,0xBC80,
  0xF895,0xAFEE,0xFDF3,0x7FC0,
  0x9FE7,0x3792,0x7A01,0x5400,
  0xFFD6,0xECC5,0xD0FD,0xDC40,
  0xF12E,0x9CA7,0x7F75,0xFE80,
  0x5031,0x8733,0x3DBE,0x7E00,
  0xE8B7,0xBEEF,0xBCFF,0xB9C0,
  0x726F,0x7CBA,0x7C71,0xC3C0,
  0x7E7C,0xE7FF,0xFAE7,0x3F80,
  0xDFCB,0x5D3C,0xD806,0xFE80,
  0x56CF,0x9E6E,0x29CF,0x8F80,
  0x77BF,0x3B89,0xD8F6,0xEB80,
  0x6E0F,0x4F2F,0x796D,0x1340,
  0x3E43,0xED0B,0xF1F6,0x21C0,
  0xE8E6,0xD938,0xFDF6,0x5BC0,
  0xB8FD,0x05E7,0xC8A9,0xD680,
  0x5FA8,0x6FFF,0x302F,0xBD40,
  0x5E6F,0xAFF3,0xF1FD,0x0200,
  0xE107,0xADB0,0x8FBF,0x4A80,
  0xC6C1,0x3541,0x5FEF,0xFA80,
  0xF4DF,0xFC43,0xDBE8,0x7FC0,
  0xC41D,0x796F,0xFB84,0x7DC0,
  0xE1FB,0x71DF,0x43A7,0x7BC0,
  0x018D,0xBFC7,0xDFE5,0x3BC0,
  0x78AF,0xD3AF,0xDE5F,0xFF40,
  0xFF98,0xF7CD,0x7EB0,0x1C00,
  0x6E79,0xF6A7,0xFEB0,0x7980,
  0xBBCF,0xE2B5,0xDCE4,0xD940,
  0xFDA7,0xB1EA,0xEDA3,0xB840,
  0xE28E,0xF77F,0xFEB3,0x7580,
  0xCF3F,0xE4F0,0xFDFF,0xBC80,
  0xB9EE,0x84FC,0x985B,0xF1C0,
  0x9FFF,0x3DE8,0x94FE,0x77C0,
  0x5956,0xFD2F,0x7E7F,0xF780,
  0xD5AC,0xFBA9,0x30FC,0x8B40,
  0x793E,0xEEEB,0xBDBD,0xCC00,
  0x601C,0xE1AC,0x7B9E,0x2280,
  0xF983,0xEDF9,0x76CA,0x3F40,
  0xAB57,0xBF79,0x5BCE,0xC100,
  0x4E5F,0xE4D9,0x7EFA,0xC000,
  0x96F7,0xFE6C,0xDDCE,0xA740,
  0xF374,0x7E7D,0x5973,0x9780,
  0xFAB5,0xB7BA,0x5FF0,0x7EC0,
  0xCDEF,0x29DE,0x7FA7,0xDA80,
  0xBF67,0xBB91,0xC4EF,0x7A40
};

#ifdef __STORM__
    #pragma fast
#endif

MODULE struct Image Logo =
{   0, 0,
    212, 74, 7,
    LogoData,
    0x7f, 0x0,
    NULL
}, About =
{   0, 0,
    44, 38, 7,
    AboutData,
    0x7f, 0x0,
    NULL
}, Cloud =
{   0, 0,
    58, 58, 3,
    CloudData,
    0x07, 0x80,
    NULL
};

/*--------------------------------------------------------------*/
/* Structures for the boing ball and satellites.                */
/*--------------------------------------------------------------*/

NEWBOB newBoingBob =
{   NULL,               /* initial image */
    BNG3WWIDTH,         /* WORD width */
    BNG3HEIGHT,         /* line height */
    BNG3DEPTH,          /* image depth */
    1,                  /* plane pick   (%00000001) */
    126,                /* plane on/off (%01111110) */
    SAVEBACK | OVERLAY, /* VSprite flags */
    1,                  /* dbuf (0=false) */
    DEPTH,              /* raster depth */
    24, 0,             /* x, y position */
    (1L<<ID_BORDER),    /* hit mask */
    (1L<<ID_BNG)        /* me mask */
};
NEWBOB newSatABob =
{   NULL,
    SATWWIDTH,
    SATHEIGHT,
    SATDEPTH,
    0,
    5, // GREEN
    SAVEBACK | OVERLAY,
    1,
    DEPTH,
    0, 0,
    (1L<<ID_BORDER),
    (1L<<ID_BNG)
};
NEWBOB newSatBBob =
{   NULL,
    SATWWIDTH,
    SATHEIGHT,
    SATDEPTH,
    0,
    86, // ORANGE
    SAVEBACK | OVERLAY,
    1,
    DEPTH,
    0, 0,
    (1L<<ID_BORDER),
    (1L<<ID_BNG)
};
NEWBOB newSatCBob =
{   NULL,
    SATWWIDTH,
    SATHEIGHT,
    SATDEPTH,
    0,
    87, // PURPLE
    SAVEBACK | OVERLAY,
    1,
    DEPTH,
    0, 0,
    (1L<<ID_BORDER),
    (1L<<ID_BNG)
};

NEWANIMSEQ newBoingSeq =
{   NULL,
    (WORD *)boing3Image,
    boing3XTranses,
    boing3YTranses,
    boing3Times,
    (WORD (**) ()) boing3CRoutines,
    0,
    BNG3COUNT,
    0
};
NEWANIMSEQ newSatASeq =
{   NULL,
    (WORD *)satImage,
    satAXTranses,
    satAYTranses,
    satTimes,
    (WORD (**) ()) satACRoutines,
    0,
    SATCOUNT,
    1
};
NEWANIMSEQ newSatBSeq =
{   NULL,
    (WORD *)satImage,
    satBXTranses,
    satBYTranses,
    satTimes,
    (WORD (**) ()) satBCRoutines,
    0,
    SATCOUNT,
    1,
};
NEWANIMSEQ newSatCSeq =
{   NULL,
    (WORD *)satImage,
    satCXTranses,
    satCYTranses,
    satTimes,
    (WORD (**) ()) satCCRoutines,
    0,
    SATCOUNT,
    1
};
